Get edge node
GET /api/v1/devices/id/. Edge nodes API reference.
curl --request GET \
--url https://{apiHost}/api/v1/devices/id/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://{apiHost}/api/v1/devices/id/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{apiHost}/api/v1/devices/id/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"name": "<string>",
"title": "<string>",
"projectId": "<string>",
"modelId": "<string>",
"id": "<string>",
"description": "<string>",
"revision": {
"curr": "<string>",
"createdAt": {},
"createdBy": "<string>",
"updatedAt": {},
"updatedBy": "<string>",
"prev": "<string>"
},
"tags": {},
"utype": "UNSPECIFIED",
"serialno": "<string>",
"location": "<string>",
"cpu": 123,
"thread": 123,
"memory": 123,
"storage": 123,
"onboarding": {
"pemCert": "aSDinaTvuI8gbWludGxpZnk=",
"pemKey": "aSDinaTvuI8gbWludGxpZnk="
},
"identity": "aSDinaTvuI8gbWludGxpZnk=",
"obkey": "<string>",
"token": "<string>",
"clientIp": "<string>",
"dlisp": {
"lispMapServers": [
{
"nameOrIp": "<string>",
"credential": "<string>"
}
],
"lispInstance": 123,
"EID": "<string>",
"EIDHashLen": 123,
"zedServers": [
{
"hostName": "<string>",
"EID": [
"<string>"
]
}
],
"eidAllocationPrefix": "aSDinaTvuI8gbWludGxpZnk=",
"eidAllocationPrefixLen": 123,
"clientAddr": "<string>",
"mode": "<string>"
},
"clusterID": "<string>",
"adminState": "ADMIN_STATE_UNSPECIFIED",
"resetCounter": 123,
"resetTime": "<string>",
"baseImage": [
{
"uuid": "<string>",
"version": "<string>",
"imageName": "<string>",
"activate": true,
"imvolId": "<string>"
}
],
"configItem": [
{
"key": "<string>",
"valueType": "<string>",
"boolValue": true,
"uint32Value": 123,
"uint64Value": "<string>",
"floatValue": 123,
"stringValue": "<string>"
}
],
"deprecated": "<string>",
"vlanAdapters": [
{
"logicalLabel": "<string>",
"interfaceName": "<string>",
"lowerLayerName": "<string>",
"vlanId": 123,
"interface": {
"netname": "<string>",
"adapterSpecificNet": {
"name": "<string>",
"title": "<string>",
"projectId": "<string>",
"kind": "NETWORK_KIND_UNSPECIFIED",
"ip": {
"deprecatedDhcp": true,
"dhcp": "NETWORK_DHCP_TYPE_UNSPECIFIED",
"subnet": "<string>",
"mask": "<string>",
"gateway": "<string>",
"domain": "<string>",
"ntp": "<string>",
"dns": [
"<string>"
],
"dhcpRange": {
"start": "<string>",
"end": "<string>"
},
"ntpServers": [
{
"server": "<string>"
}
],
"ntpServerExclusively": true
},
"id": "<string>",
"description": "<string>",
"revision": {
"curr": "<string>",
"createdAt": {},
"createdBy": "<string>",
"updatedAt": {},
"updatedBy": "<string>",
"prev": "<string>"
},
"dnsList": [
{
"hostname": "<string>",
"addrs": [
"<string>"
]
}
],
"proxy": {
"networkProxy": true,
"proxies": [
{
"proto": "NETWORK_PROXY_PROTO_HTTP",
"server": "<string>",
"port": 123
}
],
"exceptions": "<string>",
"pacfile": "<string>",
"networkProxyURL": "<string>",
"networkProxyCerts": [
"aSDinaTvuI8gbWludGxpZnk="
]
},
"enterpriseDefault": true,
"mtu": 123,
"wireless": {
"type": "NETWORK_WIRELESS_TYPE_UNSPECIFIED",
"cellularCfg": {
"APN": "<string>",
"probe": {
"disable": true,
"probeAddress": "<string>",
"customProbe": {
"probeMethod": "CONNECTIVITY_PROBE_METHOD_UNSPECIFIED",
"probeEndpoint": {
"host": "<string>",
"port": 123
}
}
},
"locationTracking": true,
"accessPoints": [
{
"simSlot": 123,
"apn": "<string>",
"authProtocol": "CELLULAR_AUTH_PROTOCOL_NONE",
"cipherData": {
"cipherContextId": "<string>",
"initialValue": "aSDinaTvuI8gbWludGxpZnk=",
"cipherData": "aSDinaTvuI8gbWludGxpZnk=",
"clearTextSha256": "aSDinaTvuI8gbWludGxpZnk="
},
"preferredPlmns": [
"<string>"
],
"forbidRoaming": true,
"preferredRats": [
"RADIO_ACCESS_TECHNOLOGY_UNSPECIFIED"
],
"ipType": "CELLULAR_IP_TYPE_UNSPECIFIED",
"attachApn": "<string>",
"attachIpType": "CELLULAR_IP_TYPE_UNSPECIFIED",
"attachAuthProtocol": "CELLULAR_AUTH_PROTOCOL_NONE",
"secrets": {
"username": "<string>",
"password": "<string>"
},
"encryptedSecrets": {},
"cryptoKey": "<string>",
"attachSecrets": {
"username": "<string>",
"password": "<string>"
},
"attachEncryptedSecrets": {}
}
],
"activatedSimSlot": 123
},
"wifiCfg": {
"wifiSSID": "<string>",
"keyScheme": "NETWORK_WIFIKEY_SCHEME_UNSPECIFIED",
"identity": "<string>",
"secret": {
"WiFiPasswd": "<string>"
},
"crypto": {
"identity": "<string>",
"password": "<string>"
},
"priority": 123,
"encryptedSecrets": {},
"cryptoKey": "<string>"
}
},
"project": {
"projectId": "<string>",
"projectName": "<string>"
}
},
"ipaddr": "<string>",
"intfname": "<string>",
"intfUsage": "ADAPTER_USAGE_UNSPECIFIED",
"tags": {},
"macaddr": "<string>",
"cost": 123,
"netid": "<string>",
"sharedLabels": [
"<string>"
],
"netDhcp": "NETWORK_DHCP_TYPE_UNSPECIFIED",
"ztype": "<string>",
"allowLocalModifications": true,
"enablePortBasedNetworkAccessControl": true,
"phylabel": "<string>",
"logicallabel": "<string>",
"phyaddrs": {},
"assigngrp": "<string>",
"parentassigngrp": "<string>",
"cbattr": {}
}
}
],
"interfaces": [
{
"netname": "<string>",
"adapterSpecificNet": {
"name": "<string>",
"title": "<string>",
"projectId": "<string>",
"kind": "NETWORK_KIND_UNSPECIFIED",
"ip": {
"deprecatedDhcp": true,
"dhcp": "NETWORK_DHCP_TYPE_UNSPECIFIED",
"subnet": "<string>",
"mask": "<string>",
"gateway": "<string>",
"domain": "<string>",
"ntp": "<string>",
"dns": [
"<string>"
],
"dhcpRange": {
"start": "<string>",
"end": "<string>"
},
"ntpServers": [
{
"server": "<string>"
}
],
"ntpServerExclusively": true
},
"id": "<string>",
"description": "<string>",
"revision": {
"curr": "<string>",
"createdAt": {},
"createdBy": "<string>",
"updatedAt": {},
"updatedBy": "<string>",
"prev": "<string>"
},
"dnsList": [
{
"hostname": "<string>",
"addrs": [
"<string>"
]
}
],
"proxy": {
"networkProxy": true,
"proxies": [
{
"proto": "NETWORK_PROXY_PROTO_HTTP",
"server": "<string>",
"port": 123
}
],
"exceptions": "<string>",
"pacfile": "<string>",
"networkProxyURL": "<string>",
"networkProxyCerts": [
"aSDinaTvuI8gbWludGxpZnk="
]
},
"enterpriseDefault": true,
"mtu": 123,
"wireless": {
"type": "NETWORK_WIRELESS_TYPE_UNSPECIFIED",
"cellularCfg": {
"APN": "<string>",
"probe": {
"disable": true,
"probeAddress": "<string>",
"customProbe": {
"probeMethod": "CONNECTIVITY_PROBE_METHOD_UNSPECIFIED",
"probeEndpoint": {
"host": "<string>",
"port": 123
}
}
},
"locationTracking": true,
"accessPoints": [
{
"simSlot": 123,
"apn": "<string>",
"authProtocol": "CELLULAR_AUTH_PROTOCOL_NONE",
"cipherData": {
"cipherContextId": "<string>",
"initialValue": "aSDinaTvuI8gbWludGxpZnk=",
"cipherData": "aSDinaTvuI8gbWludGxpZnk=",
"clearTextSha256": "aSDinaTvuI8gbWludGxpZnk="
},
"preferredPlmns": [
"<string>"
],
"forbidRoaming": true,
"preferredRats": [
"RADIO_ACCESS_TECHNOLOGY_UNSPECIFIED"
],
"ipType": "CELLULAR_IP_TYPE_UNSPECIFIED",
"attachApn": "<string>",
"attachIpType": "CELLULAR_IP_TYPE_UNSPECIFIED",
"attachAuthProtocol": "CELLULAR_AUTH_PROTOCOL_NONE",
"secrets": {
"username": "<string>",
"password": "<string>"
},
"encryptedSecrets": {},
"cryptoKey": "<string>",
"attachSecrets": {
"username": "<string>",
"password": "<string>"
},
"attachEncryptedSecrets": {}
}
],
"activatedSimSlot": 123
},
"wifiCfg": {
"wifiSSID": "<string>",
"keyScheme": "NETWORK_WIFIKEY_SCHEME_UNSPECIFIED",
"identity": "<string>",
"secret": {
"WiFiPasswd": "<string>"
},
"crypto": {
"identity": "<string>",
"password": "<string>"
},
"priority": 123,
"encryptedSecrets": {},
"cryptoKey": "<string>"
}
},
"project": {
"projectId": "<string>",
"projectName": "<string>"
}
},
"ipaddr": "<string>",
"intfname": "<string>",
"intfUsage": "ADAPTER_USAGE_UNSPECIFIED",
"tags": {},
"macaddr": "<string>",
"cost": 123,
"netid": "<string>",
"sharedLabels": [
"<string>"
],
"netDhcp": "NETWORK_DHCP_TYPE_UNSPECIFIED",
"ztype": "<string>",
"allowLocalModifications": true,
"enablePortBasedNetworkAccessControl": true,
"phylabel": "<string>",
"logicallabel": "<string>",
"phyaddrs": {},
"assigngrp": "<string>",
"parentassigngrp": "<string>",
"cbattr": {}
}
],
"devLocation": {
"underlayIP": "<string>",
"hostname": "<string>",
"city": "<string>",
"region": "<string>",
"country": "<string>",
"loc": "<string>",
"org": "<string>",
"postal": "<string>",
"latlong": "<string>",
"freeloc": "<string>"
},
"sitePictures": [
"<string>"
],
"assetId": "<string>",
"baseOsRetryCounter": 123,
"baseOsRetryTime": "<string>",
"debugKnob": {
"id": "<string>",
"debugKnob": true,
"expiry": "<string>",
"expired": true
},
"defaultNetInst": {
"name": "<string>",
"title": "<string>",
"deviceId": "<string>",
"port": "<string>",
"kind": "NETWORK_INSTANCE_KIND_UNSPECIFIED",
"id": "<string>",
"description": "<string>",
"revision": {
"curr": "<string>",
"createdAt": {},
"createdBy": "<string>",
"updatedAt": {},
"updatedBy": "<string>",
"prev": "<string>"
},
"projectId": "<string>",
"tags": {},
"clusterID": "<string>",
"portTags": {},
"dhcp": true,
"type": "NETWORK_INSTANCE_DHCP_TYPE_UNSPECIFIED",
"ip": {
"subnet": "<string>",
"mask": "<string>",
"gateway": "<string>",
"domain": "<string>",
"ntp": "<string>",
"dns": [
"<string>"
],
"dhcpRange": {
"start": "<string>",
"end": "<string>"
},
"ntpServers": [
{
"server": "<string>"
}
]
},
"dnsList": [
{
"hostname": "<string>",
"addrs": [
"<string>"
]
}
],
"oconfig": "<string>",
"lisp": {
"lispiid": 123,
"allocate": true,
"exportprivate": true,
"allocationprefix": "aSDinaTvuI8gbWludGxpZnk=",
"allocationprefixlen": 123,
"sp": [
{
"type": "SPTYPE_INVALIDSRV",
"NameOrIp": "<string>",
"Credential": "<string>"
}
]
},
"opaque": {
"type": "OPAQUE_CONFIG_TYPE_UNSPECIFIED",
"oconfig": "<string>",
"lisp": {
"lispiid": 123,
"allocate": true,
"exportprivate": true,
"allocationprefix": "aSDinaTvuI8gbWludGxpZnk=",
"allocationprefixlen": 123,
"sp": [
{
"type": "SPTYPE_INVALIDSRV",
"NameOrIp": "<string>",
"Credential": "<string>"
}
]
}
},
"deviceDefault": true,
"networkPolicyId": "<string>",
"propagateConnectedRoutes": true,
"staticRoutes": [
{
"prefix": "<string>",
"gateway": "<string>",
"outputPort": "<string>",
"probeConfig": {
"enableGatewayPing": true,
"pingMaxCost": 123,
"preferLowerCost": true,
"preferStrongerWwanSignal": true,
"customProbeConfig": {
"probeMethod": "CONNECTIVITY_PROBE_METHOD_UNSPECIFIED",
"probeEndpoint": {
"host": "<string>",
"port": 123
}
}
}
}
],
"mtu": 123,
"edgeNodeCluster": {
"id": "<string>",
"designatedNodeID": "<string>"
},
"forwardLldp": true
},
"preparePowerOffCounter": 123,
"preparePowerOffTime": "<string>",
"edgeviewconfig": {
"jwtInfo": {
"dispUrl": "<string>",
"allowSec": 123,
"expireSec": "<string>",
"numInst": 123,
"encrypt": true,
"authen": "EvAuth_TYPE_UNSPECIFIED"
},
"token": "<string>",
"devPolicy": {
"allowDev": true
},
"appPolicy": {
"allowApp": true
},
"extPolicy": {
"allowExt": true
},
"generationId": 123,
"requireControllerAuthen": true
},
"generateSoftSerial": true,
"deploymentTag": "<string>",
"localOperatorConsoleURL": "<string>",
"configLock": "DEVICE_CONFIG_LOCK_UNSPECIFIED",
"edgeviewAllow": true,
"clusterInterface": "<string>",
"edgeNodeCluster": {
"id": "<string>",
"name": "<string>",
"tags": {},
"projectId": "<string>",
"clusterPrefix": "<string>",
"seedNodeId": "<string>",
"seedNodeIp": "<string>",
"token": "<string>",
"isMaster": true,
"manifest": "aSDinaTvuI8gbWludGxpZnk=",
"tieBreakerNodeId": "<string>",
"clusterType": 123,
"lbConfigList": {
"list": [
{
"interface": "<string>",
"startIP": "<string>"
}
]
},
"masterNodeUuids": [
"<string>"
]
},
"baseOsForceUpgrade": true,
"project": {
"projectId": "<string>",
"projectName": "<string>",
"type": "TAG_TYPE_UNSPECIFIED"
},
"model": {
"modelId": "<string>",
"modelName": "<string>",
"brandId": "<string>",
"brandName": "<string>"
},
"edgeSyncConfig": {
"edgeSyncUrl": "<string>",
"datastoreId": [
"<string>"
]
},
"pcrPolicy": {
"name": "<string>",
"title": "<string>",
"type": "POLICY_TYPE_UNSPECIFIED",
"id": "<string>",
"description": "<string>",
"status": "POLICY_STATUS_UNSPECIFIED",
"revision": {
"curr": "<string>",
"createdAt": {},
"createdBy": "<string>",
"updatedAt": {},
"updatedBy": "<string>",
"prev": "<string>"
},
"attr": {},
"appPolicy": {
"apps": [
{
"name": "<string>",
"title": "<string>",
"networks": 123,
"drives": 123,
"cpus": 123,
"memory": 123,
"manifestJSON": {
"acKind": "VMManifest",
"acVersion": "1.2.0",
"name": "<string>",
"displayName": "<string>",
"description": "<string>",
"owner": {
"user": "<string>",
"group": "<string>",
"company": "<string>",
"website": "<string>",
"email": "<string>"
},
"desc": {
"appCategory": "APP_CATEGORY_CLOUD_APPLICATION",
"os": "Linux"
},
"images": [
{
"imagename": "<string>",
"imageid": "<string>",
"imageformat": "FmtUnknown",
"maxsize": "<string>",
"preserve": true,
"target": "<string>",
"drvtype": "<string>",
"params": [
{
"name": "<string>",
"value": "<string>"
}
],
"readonly": true,
"volumelabel": "<string>",
"ignorepurge": true,
"cleartext": true,
"mountpath": "<string>",
"imagestatus": "<string>",
"datastore": [
{
"id": "<string>",
"name": "<string>"
}
]
}
],
"interfaces": [
{
"name": "<string>",
"type": "<string>",
"optional": true,
"directattach": true,
"privateip": true,
"acls": [
{
"matches": [
{
"type": "<string>",
"value": "<string>"
}
],
"actions": [
{
"drop": true,
"limit": true,
"limitValue": {
"limitrate": 123,
"limitunit": "<string>",
"limitburst": 123
},
"limitrate": 123,
"limitunit": "<string>",
"limitburst": 123,
"portmap": true,
"portmapto": {
"appPort": 123
}
}
],
"name": "<string>"
}
]
}
],
"permissions": [
{}
],
"vmmode": "HV_HVM",
"enablevnc": true,
"resources": [
{
"name": "<string>",
"value": "<string>"
}
],
"configuration": {
"customConfig": {
"name": "<string>",
"add": true,
"override": true,
"allowStorageResize": true,
"fieldDelimiter": "<string>",
"template": "<string>",
"variableGroups": [
{
"name": "<string>",
"variables": [
{
"format": "VARIABLE_FORMAT_TEXT",
"name": "username",
"label": "Enter User Name",
"required": "True"
}
],
"required": true,
"condition": {
"name": "<string>",
"value": "<string>",
"operator": "CONDITION_OPERATOR_UNSPECIFIED"
}
}
]
}
},
"containerDetail": {
"containerCreateOption": "<string>"
},
"module": {
"twinDetail": "IHsKICAgICAgIm5hbWUiOiAiU2VuZEludGVydmFsIiwKICAgICAgInZhbHVlIjogIjUiCiAgICB9"
},
"appType": "APP_TYPE_UNSPECIFIED",
"deploymentType": "DEPLOYMENT_TYPE_UNSPECIFIED",
"cpuPinningEnabled": true,
"runtimeVersion": "RuntimeVersion_Unknown",
"runtimeProtocolVersion": "RuntimeProtocolVersion_Unknown",
"PersistentRuntimeSizeBytes": "<string>",
"dockerComposeYamlText": "<string>",
"dockerComposeTarImageName": "<string>",
"enableOemWinLicenseKey": true,
"disableVTPM": true
},
"originType": "ORIGIN_UNSPECIFIED",
"id": "<string>",
"description": "<string>",
"appId": "<string>",
"parentDetail": {
"idOfParentObject": "<string>",
"versionOfParentObject": 123,
"updateAvailable": true,
"referenceExists": true
},
"appVersion": "<string>",
"nameProjectPart": "<string>",
"nameAppPart": "<string>",
"tags": {},
"namingScheme": "APP_NAMING_SCHEME_UNSPECIFIED",
"interfaces": [
{
"intfname": "<string>",
"netname": "<string>",
"io": {
"type": "IO_TYPE_UNSPECIFIED",
"name": "<string>",
"tags": {}
},
"intforder": 123,
"directattach": true,
"privateip": true,
"acls": [
{
"matches": [
{
"type": "<string>",
"value": "<string>"
}
],
"actions": [
{
"drop": true,
"limit": true,
"limitrate": 123,
"limitunit": "<string>",
"limitburst": 123,
"portmap": true,
"mapparams": {
"port": 123
}
}
],
"id": 123,
"name": "<string>"
}
],
"ipaddr": "<string>",
"macaddr": "<string>",
"accessVlanId": 2047.5,
"eidregister": {
"AppCert": "aSDinaTvuI8gbWludGxpZnk=",
"AppPublicKey": "aSDinaTvuI8gbWludGxpZnk=",
"AppPrivateKey": "aSDinaTvuI8gbWludGxpZnk=",
"UUID": "<string>",
"DisplayName": "<string>",
"LispInstance": 123,
"EID": "<string>",
"EIDHashLen": 123,
"LispSignature": "<string>",
"LispMapServers": [
{
"nameOrIp": "<string>",
"credential": "<string>"
}
]
},
"netinstname": "<string>",
"netinsttag": {},
"netinstid": "<string>",
"defaultNetInstance": true,
"allowToDiscover": true
}
],
"storage": 123,
"startDelayInSeconds": 123
}
]
},
"azurePolicy": {
"appId": "<string>",
"appPassword": "<string>",
"tenantId": "<string>",
"encryptedSecrets": {},
"cryptoKey": "<string>",
"azureResourceAndServices": {
"resourceGroup": [
{
"name": "<string>",
"subscriptionId": "<string>",
"region": "<string>"
}
],
"iotHubService": [
{
"serviceDetail": {
"name": "<string>",
"createByDefault": true,
"region": "<string>",
"SKU": {
"name": "<string>",
"tier": "<string>",
"capacity": "<string>"
},
"subscriptionId": "<string>",
"resourceGroupName": "<string>"
}
}
],
"dpsService": {
"serviceDetail": {
"name": "<string>",
"createByDefault": true,
"region": "<string>",
"SKU": {
"name": "<string>",
"tier": "<string>",
"capacity": "<string>"
},
"subscriptionId": "<string>",
"resourceGroupName": "<string>"
},
"enrollment": {
"attachedIotHubsName": [
"<string>"
],
"enableIotEdgeDevice": true,
"mechanism": "ENROLLMENT_MECHANISM_UNSPECIFIED",
"tags": {},
"allocationPolicy": "ALLOCATION_POLICY_UNSPECIFIED",
"symmetricKeyEnrollment": {
"type": "ENROLLMENT_TYPE_UNSPECIFIED",
"individualSymmetricKeyEnrollment": {
"registrationId": "<string>"
},
"groupSymmetricKeyEnrollment": {
"groupName": "<string>"
}
},
"certificateEnrollment": {
"type": "ENROLLMENT_TYPE_UNSPECIFIED",
"individualCertificateEnrollment": {},
"groupCertificateEnrollment": {
"groupName": "<string>"
}
},
"tpmEnrollment": {
"type": "ENROLLMENT_TYPE_UNSPECIFIED"
}
}
}
},
"customDeploymentManaged": true,
"certificate": {
"cert": "<string>",
"pvtKey": "<string>",
"publicKey": "<string>",
"passPhrase": "<string>",
"exportable": true,
"reuseKey": true,
"encryptedSecrets": {},
"cryptoKey": "<string>",
"publicKeyAlgorithm": "<string>",
"rsaEcryption": {
"rsaBits": "<string>"
},
"ecdsaEncryption": {
"curve": "<string>"
},
"validFrom": "2023-11-07T05:31:56Z",
"validTill": "2023-11-07T05:31:56Z",
"sanValues": {
"hosts": [
"<string>"
],
"emaildIds": [
"<string>"
],
"uris": [
"<string>"
],
"ips": [
"<string>"
],
"dns": [
"<string>"
],
"upns": [
"<string>"
]
},
"subject": {
"commonName": "<string>",
"country": [
"<string>"
],
"organization": [
"<string>"
],
"organizationalUnit": [
"<string>"
],
"locality": [
"<string>"
],
"postalCode": [
"<string>"
],
"province": [
"<string>"
],
"serialNumber": "<string>"
},
"issuer": {
"commonName": "<string>",
"country": [
"<string>"
],
"organization": [
"<string>"
],
"organizationalUnit": [
"<string>"
],
"locality": [
"<string>"
],
"postalCode": [
"<string>"
],
"province": [
"<string>"
],
"serialNumber": "<string>"
},
"serialNumber": "<string>",
"basicContraintsValid": true,
"keyUsage": 123,
"extendedKeyUsage": [
"<string>"
],
"signatureAlgorithm": "<string>"
}
},
"modulePolicy": {
"priority": 123,
"apps": [
{
"name": "<string>",
"title": "<string>",
"networks": 123,
"drives": 123,
"cpus": 123,
"memory": 123,
"manifestJSON": {
"acKind": "VMManifest",
"acVersion": "1.2.0",
"name": "<string>",
"displayName": "<string>",
"description": "<string>",
"owner": {
"user": "<string>",
"group": "<string>",
"company": "<string>",
"website": "<string>",
"email": "<string>"
},
"desc": {
"appCategory": "APP_CATEGORY_CLOUD_APPLICATION",
"os": "Linux"
},
"images": [
{
"imagename": "<string>",
"imageid": "<string>",
"imageformat": "FmtUnknown",
"maxsize": "<string>",
"preserve": true,
"target": "<string>",
"drvtype": "<string>",
"params": [
{
"name": "<string>",
"value": "<string>"
}
],
"readonly": true,
"volumelabel": "<string>",
"ignorepurge": true,
"cleartext": true,
"mountpath": "<string>",
"imagestatus": "<string>",
"datastore": [
{
"id": "<string>",
"name": "<string>"
}
]
}
],
"interfaces": [
{
"name": "<string>",
"type": "<string>",
"optional": true,
"directattach": true,
"privateip": true,
"acls": [
{
"matches": [
{
"type": "<string>",
"value": "<string>"
}
],
"actions": [
{
"drop": true,
"limit": true,
"limitValue": {
"limitrate": 123,
"limitunit": "<string>",
"limitburst": 123
},
"limitrate": 123,
"limitunit": "<string>",
"limitburst": 123,
"portmap": true,
"portmapto": {
"appPort": 123
}
}
],
"name": "<string>"
}
]
}
],
"permissions": [
{}
],
"vmmode": "HV_HVM",
"enablevnc": true,
"resources": [
{
"name": "<string>",
"value": "<string>"
}
],
"configuration": {
"customConfig": {
"name": "<string>",
"add": true,
"override": true,
"allowStorageResize": true,
"fieldDelimiter": "<string>",
"template": "<string>",
"variableGroups": [
{
"name": "<string>",
"variables": [
{
"format": "VARIABLE_FORMAT_TEXT",
"name": "username",
"label": "Enter User Name",
"required": "True"
}
],
"required": true,
"condition": {
"name": "<string>",
"value": "<string>",
"operator": "CONDITION_OPERATOR_UNSPECIFIED"
}
}
]
}
},
"containerDetail": {
"containerCreateOption": "<string>"
},
"module": {
"twinDetail": "IHsKICAgICAgIm5hbWUiOiAiU2VuZEludGVydmFsIiwKICAgICAgInZhbHVlIjogIjUiCiAgICB9"
},
"appType": "APP_TYPE_UNSPECIFIED",
"deploymentType": "DEPLOYMENT_TYPE_UNSPECIFIED",
"cpuPinningEnabled": true,
"runtimeVersion": "RuntimeVersion_Unknown",
"runtimeProtocolVersion": "RuntimeProtocolVersion_Unknown",
"PersistentRuntimeSizeBytes": "<string>",
"dockerComposeYamlText": "<string>",
"dockerComposeTarImageName": "<string>",
"enableOemWinLicenseKey": true,
"disableVTPM": true
},
"originType": "ORIGIN_UNSPECIFIED",
"id": "<string>",
"description": "<string>",
"appId": "<string>",
"parentDetail": {
"idOfParentObject": "<string>",
"versionOfParentObject": 123,
"updateAvailable": true,
"referenceExists": true
},
"appVersion": "<string>",
"nameProjectPart": "<string>",
"nameAppPart": "<string>",
"tags": {},
"namingScheme": "APP_NAMING_SCHEME_UNSPECIFIED",
"interfaces": [
{
"intfname": "<string>",
"netname": "<string>",
"io": {
"type": "IO_TYPE_UNSPECIFIED",
"name": "<string>",
"tags": {}
},
"intforder": 123,
"directattach": true,
"privateip": true,
"acls": [
{
"matches": [
{
"type": "<string>",
"value": "<string>"
}
],
"actions": [
{
"drop": true,
"limit": true,
"limitrate": 123,
"limitunit": "<string>",
"limitburst": 123,
"portmap": true,
"mapparams": {
"port": 123
}
}
],
"id": 123,
"name": "<string>"
}
],
"ipaddr": "<string>",
"macaddr": "<string>",
"accessVlanId": 2047.5,
"eidregister": {
"AppCert": "aSDinaTvuI8gbWludGxpZnk=",
"AppPublicKey": "aSDinaTvuI8gbWludGxpZnk=",
"AppPrivateKey": "aSDinaTvuI8gbWludGxpZnk=",
"UUID": "<string>",
"DisplayName": "<string>",
"LispInstance": 123,
"EID": "<string>",
"EIDHashLen": 123,
"LispSignature": "<string>",
"LispMapServers": [
{
"nameOrIp": "<string>",
"credential": "<string>"
}
]
},
"netinstname": "<string>",
"netinsttag": {},
"netinstid": "<string>",
"defaultNetInstance": true,
"allowToDiscover": true
}
],
"storage": 123,
"startDelayInSeconds": 123
}
],
"id": "<string>",
"labels": {},
"targetCondition": "<string>",
"metrics": {
"queries": {},
"results": {}
},
"Etag": "<string>",
"routes": {},
"targetConditionNew": {},
"azureEdgeAgent": {
"name": "<string>",
"title": "<string>",
"networks": 123,
"drives": 123,
"cpus": 123,
"memory": 123,
"manifestJSON": {
"acKind": "VMManifest",
"acVersion": "1.2.0",
"name": "<string>",
"displayName": "<string>",
"description": "<string>",
"owner": {
"user": "<string>",
"group": "<string>",
"company": "<string>",
"website": "<string>",
"email": "<string>"
},
"desc": {
"appCategory": "APP_CATEGORY_CLOUD_APPLICATION",
"os": "Linux"
},
"images": [
{
"imagename": "<string>",
"imageid": "<string>",
"imageformat": "FmtUnknown",
"maxsize": "<string>",
"preserve": true,
"target": "<string>",
"drvtype": "<string>",
"params": [
{
"name": "<string>",
"value": "<string>"
}
],
"readonly": true,
"volumelabel": "<string>",
"ignorepurge": true,
"cleartext": true,
"mountpath": "<string>",
"imagestatus": "<string>",
"datastore": [
{
"id": "<string>",
"name": "<string>"
}
]
}
],
"interfaces": [
{
"name": "<string>",
"type": "<string>",
"optional": true,
"directattach": true,
"privateip": true,
"acls": [
{
"matches": [
{
"type": "<string>",
"value": "<string>"
}
],
"actions": [
{
"drop": true,
"limit": true,
"limitValue": {
"limitrate": 123,
"limitunit": "<string>",
"limitburst": 123
},
"limitrate": 123,
"limitunit": "<string>",
"limitburst": 123,
"portmap": true,
"portmapto": {
"appPort": 123
}
}
],
"name": "<string>"
}
]
}
],
"permissions": [
{}
],
"vmmode": "HV_HVM",
"enablevnc": true,
"resources": [
{
"name": "<string>",
"value": "<string>"
}
],
"configuration": {
"customConfig": {
"name": "<string>",
"add": true,
"override": true,
"allowStorageResize": true,
"fieldDelimiter": "<string>",
"template": "<string>",
"variableGroups": [
{
"name": "<string>",
"variables": [
{
"format": "VARIABLE_FORMAT_TEXT",
"name": "username",
"label": "Enter User Name",
"required": "True"
}
],
"required": true,
"condition": {
"name": "<string>",
"value": "<string>",
"operator": "CONDITION_OPERATOR_UNSPECIFIED"
}
}
]
}
},
"containerDetail": {
"containerCreateOption": "<string>"
},
"module": {
"twinDetail": "IHsKICAgICAgIm5hbWUiOiAiU2VuZEludGVydmFsIiwKICAgICAgInZhbHVlIjogIjUiCiAgICB9"
},
"appType": "APP_TYPE_UNSPECIFIED",
"deploymentType": "DEPLOYMENT_TYPE_UNSPECIFIED",
"cpuPinningEnabled": true,
"runtimeVersion": "RuntimeVersion_Unknown",
"runtimeProtocolVersion": "RuntimeProtocolVersion_Unknown",
"PersistentRuntimeSizeBytes": "<string>",
"dockerComposeYamlText": "<string>",
"dockerComposeTarImageName": "<string>",
"enableOemWinLicenseKey": true,
"disableVTPM": true
},
"originType": "ORIGIN_UNSPECIFIED",
"id": "<string>",
"description": "<string>",
"appId": "<string>",
"parentDetail": {
"idOfParentObject": "<string>",
"versionOfParentObject": 123,
"updateAvailable": true,
"referenceExists": true
},
"appVersion": "<string>",
"nameProjectPart": "<string>",
"nameAppPart": "<string>",
"tags": {},
"namingScheme": "APP_NAMING_SCHEME_UNSPECIFIED",
"interfaces": [
{
"intfname": "<string>",
"netname": "<string>",
"io": {
"type": "IO_TYPE_UNSPECIFIED",
"name": "<string>",
"tags": {}
},
"intforder": 123,
"directattach": true,
"privateip": true,
"acls": [
{
"matches": [
{
"type": "<string>",
"value": "<string>"
}
],
"actions": [
{
"drop": true,
"limit": true,
"limitrate": 123,
"limitunit": "<string>",
"limitburst": 123,
"portmap": true,
"mapparams": {
"port": 123
}
}
],
"id": 123,
"name": "<string>"
}
],
"ipaddr": "<string>",
"macaddr": "<string>",
"accessVlanId": 2047.5,
"eidregister": {
"AppCert": "aSDinaTvuI8gbWludGxpZnk=",
"AppPublicKey": "aSDinaTvuI8gbWludGxpZnk=",
"AppPrivateKey": "aSDinaTvuI8gbWludGxpZnk=",
"UUID": "<string>",
"DisplayName": "<string>",
"LispInstance": 123,
"EID": "<string>",
"EIDHashLen": 123,
"LispSignature": "<string>",
"LispMapServers": [
{
"nameOrIp": "<string>",
"credential": "<string>"
}
]
},
"netinstname": "<string>",
"netinsttag": {},
"netinstid": "<string>",
"defaultNetInstance": true,
"allowToDiscover": true
}
],
"storage": 123,
"startDelayInSeconds": 123
},
"azureEdgeHub": {
"name": "<string>",
"title": "<string>",
"networks": 123,
"drives": 123,
"cpus": 123,
"memory": 123,
"manifestJSON": {
"acKind": "VMManifest",
"acVersion": "1.2.0",
"name": "<string>",
"displayName": "<string>",
"description": "<string>",
"owner": {
"user": "<string>",
"group": "<string>",
"company": "<string>",
"website": "<string>",
"email": "<string>"
},
"desc": {
"appCategory": "APP_CATEGORY_CLOUD_APPLICATION",
"os": "Linux"
},
"images": [
{
"imagename": "<string>",
"imageid": "<string>",
"imageformat": "FmtUnknown",
"maxsize": "<string>",
"preserve": true,
"target": "<string>",
"drvtype": "<string>",
"params": [
{
"name": "<string>",
"value": "<string>"
}
],
"readonly": true,
"volumelabel": "<string>",
"ignorepurge": true,
"cleartext": true,
"mountpath": "<string>",
"imagestatus": "<string>",
"datastore": [
{
"id": "<string>",
"name": "<string>"
}
]
}
],
"interfaces": [
{
"name": "<string>",
"type": "<string>",
"optional": true,
"directattach": true,
"privateip": true,
"acls": [
{
"matches": [
{
"type": "<string>",
"value": "<string>"
}
],
"actions": [
{
"drop": true,
"limit": true,
"limitValue": {
"limitrate": 123,
"limitunit": "<string>",
"limitburst": 123
},
"limitrate": 123,
"limitunit": "<string>",
"limitburst": 123,
"portmap": true,
"portmapto": {
"appPort": 123
}
}
],
"name": "<string>"
}
]
}
],
"permissions": [
{}
],
"vmmode": "HV_HVM",
"enablevnc": true,
"resources": [
{
"name": "<string>",
"value": "<string>"
}
],
"configuration": {
"customConfig": {
"name": "<string>",
"add": true,
"override": true,
"allowStorageResize": true,
"fieldDelimiter": "<string>",
"template": "<string>",
"variableGroups": [
{
"name": "<string>",
"variables": [
{
"format": "VARIABLE_FORMAT_TEXT",
"name": "username",
"label": "Enter User Name",
"required": "True"
}
],
"required": true,
"condition": {
"name": "<string>",
"value": "<string>",
"operator": "CONDITION_OPERATOR_UNSPECIFIED"
}
}
]
}
},
"containerDetail": {
"containerCreateOption": "<string>"
},
"module": {
"twinDetail": "IHsKICAgICAgIm5hbWUiOiAiU2VuZEludGVydmFsIiwKICAgICAgInZhbHVlIjogIjUiCiAgICB9"
},
"appType": "APP_TYPE_UNSPECIFIED",
"deploymentType": "DEPLOYMENT_TYPE_UNSPECIFIED",
"cpuPinningEnabled": true,
"runtimeVersion": "RuntimeVersion_Unknown",
"runtimeProtocolVersion": "RuntimeProtocolVersion_Unknown",
"PersistentRuntimeSizeBytes": "<string>",
"dockerComposeYamlText": "<string>",
"dockerComposeTarImageName": "<string>",
"enableOemWinLicenseKey": true,
"disableVTPM": true
},
"originType": "ORIGIN_UNSPECIFIED",
"id": "<string>",
"description": "<string>",
"appId": "<string>",
"parentDetail": {
"idOfParentObject": "<string>",
"versionOfParentObject": 123,
"updateAvailable": true,
"referenceExists": true
},
"appVersion": "<string>",
"nameProjectPart": "<string>",
"nameAppPart": "<string>",
"tags": {},
"namingScheme": "APP_NAMING_SCHEME_UNSPECIFIED",
"interfaces": [
{
"intfname": "<string>",
"netname": "<string>",
"io": {
"type": "IO_TYPE_UNSPECIFIED",
"name": "<string>",
"tags": {}
},
"intforder": 123,
"directattach": true,
"privateip": true,
"acls": [
{
"matches": [
{
"type": "<string>",
"value": "<string>"
}
],
"actions": [
{
"drop": true,
"limit": true,
"limitrate": 123,
"limitunit": "<string>",
"limitburst": 123,
"portmap": true,
"mapparams": {
"port": 123
}
}
],
"id": 123,
"name": "<string>"
}
],
"ipaddr": "<string>",
"macaddr": "<string>",
"accessVlanId": 2047.5,
"eidregister": {
"AppCert": "aSDinaTvuI8gbWludGxpZnk=",
"AppPublicKey": "aSDinaTvuI8gbWludGxpZnk=",
"AppPrivateKey": "aSDinaTvuI8gbWludGxpZnk=",
"UUID": "<string>",
"DisplayName": "<string>",
"LispInstance": 123,
"EID": "<string>",
"EIDHashLen": 123,
"LispSignature": "<string>",
"LispMapServers": [
{
"nameOrIp": "<string>",
"credential": "<string>"
}
]
},
"netinstname": "<string>",
"netinsttag": {},
"netinstid": "<string>",
"defaultNetInstance": true,
"allowToDiscover": true
}
],
"storage": 123,
"startDelayInSeconds": 123
}
},
"attestationPolicy": {
"type": "ATTEST_POLICY_TYPE_UNSPECIFIED",
"id": "<string>"
},
"networkPolicy": {
"netInstanceConfig": [
{
"name": "<string>",
"title": "<string>",
"deviceId": "<string>",
"port": "<string>",
"kind": "NETWORK_INSTANCE_KIND_UNSPECIFIED",
"id": "<string>",
"description": "<string>",
"revision": {
"curr": "<string>",
"createdAt": {},
"createdBy": "<string>",
"updatedAt": {},
"updatedBy": "<string>",
"prev": "<string>"
},
"projectId": "<string>",
"tags": {},
"clusterID": "<string>",
"portTags": {},
"dhcp": true,
"type": "NETWORK_INSTANCE_DHCP_TYPE_UNSPECIFIED",
"ip": {
"subnet": "<string>",
"mask": "<string>",
"gateway": "<string>",
"domain": "<string>",
"ntp": "<string>",
"dns": [
"<string>"
],
"dhcpRange": {
"start": "<string>",
"end": "<string>"
},
"ntpServers": [
{
"server": "<string>"
}
]
},
"dnsList": [
{
"hostname": "<string>",
"addrs": [
"<string>"
]
}
],
"oconfig": "<string>",
"lisp": {
"lispiid": 123,
"allocate": true,
"exportprivate": true,
"allocationprefix": "aSDinaTvuI8gbWludGxpZnk=",
"allocationprefixlen": 123,
"sp": [
{
"type": "SPTYPE_INVALIDSRV",
"NameOrIp": "<string>",
"Credential": "<string>"
}
]
},
"opaque": {
"type": "OPAQUE_CONFIG_TYPE_UNSPECIFIED",
"oconfig": "<string>",
"lisp": {
"lispiid": 123,
"allocate": true,
"exportprivate": true,
"allocationprefix": "aSDinaTvuI8gbWludGxpZnk=",
"allocationprefixlen": 123,
"sp": [
{
"type": "SPTYPE_INVALIDSRV",
"NameOrIp": "<string>",
"Credential": "<string>"
}
]
}
},
"deviceDefault": true,
"networkPolicyId": "<string>",
"propagateConnectedRoutes": true,
"staticRoutes": [
{
"prefix": "<string>",
"gateway": "<string>",
"outputPort": "<string>",
"probeConfig": {
"enableGatewayPing": true,
"pingMaxCost": 123,
"preferLowerCost": true,
"preferStrongerWwanSignal": true,
"customProbeConfig": {
"probeMethod": "CONNECTIVITY_PROBE_METHOD_UNSPECIFIED",
"probeEndpoint": {
"host": "<string>",
"port": 123
}
}
}
}
],
"mtu": 123,
"edgeNodeCluster": {
"id": "<string>",
"designatedNodeID": "<string>"
},
"forwardLldp": true
}
]
},
"clusterPolicy": {
"type": "CLUSTER_TYPE_UNSPECIFIED",
"appPolicyID": "<string>",
"networkPolicyID": "<string>",
"clusterConfig": {
"minNodesRequired": 123
}
},
"edgeviewPolicy": {
"edgeviewAllow": true,
"edgeviewcfg": {
"jwtInfo": {
"dispUrl": "<string>",
"allowSec": 123,
"expireSec": "<string>",
"numInst": 123,
"encrypt": true,
"authen": "EvAuth_TYPE_UNSPECIFIED"
},
"token": "<string>",
"devPolicy": {
"allowDev": true
},
"appPolicy": {
"allowApp": true
},
"extPolicy": {
"allowExt": true
},
"generationId": 123,
"requireControllerAuthen": true
},
"accessAllowChange": true,
"maxExpireSec": 123,
"maxInst": 123,
"requireControllerAuthen": true
},
"localOperatorConsolePolicy": {
"locURL": "<string>",
"id": "<string>",
"datastoreId": [
"<string>"
]
},
"configurationLockPolicy": {
"configLock": "CONFIGURATION_LOCK_UNSPECIFIED",
"id": "<string>"
},
"pcrPolicy": {
"pcrIndices": [
123
],
"id": "<string>",
"policyVersion": 123
},
"portBasedNetworkAccessControlPolicy": {
"id": "<string>",
"enablePortBasedNetworkAccessControl": true,
"eapMethod": "EAP_METHOD_UNSPECIFIED",
"eapIdentity": "<string>",
"certificateEnrollmentId": "<string>"
},
"statusMessage": "<string>"
},
"bondAdapter": [
{
"logicalLabel": "<string>",
"interfaceName": "<string>",
"lowerLayerNames": [
"<string>"
],
"bondMode": "BOND_MODE_UNSPECIFIED",
"mii": {
"interval": 123,
"updelay": 123,
"downdelay": 123
},
"arp": {
"interval": 123,
"ipTargets": [
"<string>"
]
},
"lacpRate": "LACP_RATE_UNSPECIFIED",
"interface": {
"netname": "<string>",
"adapterSpecificNet": {
"name": "<string>",
"title": "<string>",
"projectId": "<string>",
"kind": "NETWORK_KIND_UNSPECIFIED",
"ip": {
"deprecatedDhcp": true,
"dhcp": "NETWORK_DHCP_TYPE_UNSPECIFIED",
"subnet": "<string>",
"mask": "<string>",
"gateway": "<string>",
"domain": "<string>",
"ntp": "<string>",
"dns": [
"<string>"
],
"dhcpRange": {
"start": "<string>",
"end": "<string>"
},
"ntpServers": [
{
"server": "<string>"
}
],
"ntpServerExclusively": true
},
"id": "<string>",
"description": "<string>",
"revision": {
"curr": "<string>",
"createdAt": {},
"createdBy": "<string>",
"updatedAt": {},
"updatedBy": "<string>",
"prev": "<string>"
},
"dnsList": [
{
"hostname": "<string>",
"addrs": [
"<string>"
]
}
],
"proxy": {
"networkProxy": true,
"proxies": [
{
"proto": "NETWORK_PROXY_PROTO_HTTP",
"server": "<string>",
"port": 123
}
],
"exceptions": "<string>",
"pacfile": "<string>",
"networkProxyURL": "<string>",
"networkProxyCerts": [
"aSDinaTvuI8gbWludGxpZnk="
]
},
"enterpriseDefault": true,
"mtu": 123,
"wireless": {
"type": "NETWORK_WIRELESS_TYPE_UNSPECIFIED",
"cellularCfg": {
"APN": "<string>",
"probe": {
"disable": true,
"probeAddress": "<string>",
"customProbe": {
"probeMethod": "CONNECTIVITY_PROBE_METHOD_UNSPECIFIED",
"probeEndpoint": {
"host": "<string>",
"port": 123
}
}
},
"locationTracking": true,
"accessPoints": [
{
"simSlot": 123,
"apn": "<string>",
"authProtocol": "CELLULAR_AUTH_PROTOCOL_NONE",
"cipherData": {
"cipherContextId": "<string>",
"initialValue": "aSDinaTvuI8gbWludGxpZnk=",
"cipherData": "aSDinaTvuI8gbWludGxpZnk=",
"clearTextSha256": "aSDinaTvuI8gbWludGxpZnk="
},
"preferredPlmns": [
"<string>"
],
"forbidRoaming": true,
"preferredRats": [
"RADIO_ACCESS_TECHNOLOGY_UNSPECIFIED"
],
"ipType": "CELLULAR_IP_TYPE_UNSPECIFIED",
"attachApn": "<string>",
"attachIpType": "CELLULAR_IP_TYPE_UNSPECIFIED",
"attachAuthProtocol": "CELLULAR_AUTH_PROTOCOL_NONE",
"secrets": {
"username": "<string>",
"password": "<string>"
},
"encryptedSecrets": {},
"cryptoKey": "<string>",
"attachSecrets": {
"username": "<string>",
"password": "<string>"
},
"attachEncryptedSecrets": {}
}
],
"activatedSimSlot": 123
},
"wifiCfg": {
"wifiSSID": "<string>",
"keyScheme": "NETWORK_WIFIKEY_SCHEME_UNSPECIFIED",
"identity": "<string>",
"secret": {
"WiFiPasswd": "<string>"
},
"crypto": {
"identity": "<string>",
"password": "<string>"
},
"priority": 123,
"encryptedSecrets": {},
"cryptoKey": "<string>"
}
},
"project": {
"projectId": "<string>",
"projectName": "<string>"
}
},
"ipaddr": "<string>",
"intfname": "<string>",
"intfUsage": "ADAPTER_USAGE_UNSPECIFIED",
"tags": {},
"macaddr": "<string>",
"cost": 123,
"netid": "<string>",
"sharedLabels": [
"<string>"
],
"netDhcp": "NETWORK_DHCP_TYPE_UNSPECIFIED",
"ztype": "<string>",
"allowLocalModifications": true,
"enablePortBasedNetworkAccessControl": true,
"phylabel": "<string>",
"logicallabel": "<string>",
"phyaddrs": {},
"assigngrp": "<string>",
"parentassigngrp": "<string>",
"cbattr": {}
}
}
]
}{
"operationType": "OPS_TYPE_UNSPECIFIED",
"operationStatus": "OPS_STATUS_UNSPECIFIED",
"objectKind": "<string>",
"objectId": "<string>",
"objectName": "<string>",
"objectRevision": "<string>",
"objectType": "OBJECT_TYPE_UNSPECIFIED",
"operationTime": "<string>",
"startTime": "<string>",
"endTime": "<string>",
"user": "<string>",
"httpStatusCode": 123,
"httpStatusMsg": "<string>",
"jobId": "<string>",
"error": [
{
"ec": "zMsgErrorNone",
"location": "<string>",
"details": "<string>"
}
]
}{
"operationType": "OPS_TYPE_UNSPECIFIED",
"operationStatus": "OPS_STATUS_UNSPECIFIED",
"objectKind": "<string>",
"objectId": "<string>",
"objectName": "<string>",
"objectRevision": "<string>",
"objectType": "OBJECT_TYPE_UNSPECIFIED",
"operationTime": "<string>",
"startTime": "<string>",
"endTime": "<string>",
"user": "<string>",
"httpStatusCode": 123,
"httpStatusMsg": "<string>",
"jobId": "<string>",
"error": [
{
"ec": "zMsgErrorNone",
"location": "<string>",
"details": "<string>"
}
]
}{
"operationType": "OPS_TYPE_UNSPECIFIED",
"operationStatus": "OPS_STATUS_UNSPECIFIED",
"objectKind": "<string>",
"objectId": "<string>",
"objectName": "<string>",
"objectRevision": "<string>",
"objectType": "OBJECT_TYPE_UNSPECIFIED",
"operationTime": "<string>",
"startTime": "<string>",
"endTime": "<string>",
"user": "<string>",
"httpStatusCode": 123,
"httpStatusMsg": "<string>",
"jobId": "<string>",
"error": [
{
"ec": "zMsgErrorNone",
"location": "<string>",
"details": "<string>"
}
]
}{
"operationType": "OPS_TYPE_UNSPECIFIED",
"operationStatus": "OPS_STATUS_UNSPECIFIED",
"objectKind": "<string>",
"objectId": "<string>",
"objectName": "<string>",
"objectRevision": "<string>",
"objectType": "OBJECT_TYPE_UNSPECIFIED",
"operationTime": "<string>",
"startTime": "<string>",
"endTime": "<string>",
"user": "<string>",
"httpStatusCode": 123,
"httpStatusMsg": "<string>",
"jobId": "<string>",
"error": [
{
"ec": "zMsgErrorNone",
"location": "<string>",
"details": "<string>"
}
]
}{
"operationType": "OPS_TYPE_UNSPECIFIED",
"operationStatus": "OPS_STATUS_UNSPECIFIED",
"objectKind": "<string>",
"objectId": "<string>",
"objectName": "<string>",
"objectRevision": "<string>",
"objectType": "OBJECT_TYPE_UNSPECIFIED",
"operationTime": "<string>",
"startTime": "<string>",
"endTime": "<string>",
"user": "<string>",
"httpStatusCode": 123,
"httpStatusMsg": "<string>",
"jobId": "<string>",
"error": [
{
"ec": "zMsgErrorNone",
"location": "<string>",
"details": "<string>"
}
]
}{
"code": 123,
"message": "<string>",
"details": [
{
"typeUrl": "<string>",
"value": "aSDinaTvuI8gbWludGxpZnk="
}
]
}Authorizations
Bearer token for user session
Headers
User-Agent specified id to track a request
Path Parameters
system generated unique id for a device
Response
A successful response.
Device Configuration request payload holds the device properties
user specified device name
user specified title
project name
device model
system generated unique id for a device
[0-9A-Za-z-]+user specified description
Object revision details
Show child attributes
Show child attributes
Tags are name/value pairs that enable you to categorize resources. Tag names are case insensitive with max_length 512 and min_length 3. Tag values are case sensitive with max_length 256 and min_length 3.
Show child attributes
Show child attributes
device model arch type
UNSPECIFIED, UNDEFINED, AMD64, ARM64 Device serial number
Device location: deprecated
CPU (configured values)
Threads
Device memory in MBs
Device storage in GBs
Device level certificates used while onboarding
Show child attributes
Show child attributes
Device identity
Object key
Single use token
Client IP
device Lisp
Show child attributes
Show child attributes
System defined universally unique clusterInstance ID, unique across the enterprise.
3 - 256[a-zA-Z0-9][a-zA-Z0-9_.-]+administrative state of device
Source definition conflict: this property declares type "object", while the referenced definition declares "string". The referenced schema is shown; the conflicting declaration needs correction in ZEDEDA's Swagger definition.
ADMIN_STATE_UNSPECIFIED, ADMIN_STATE_CREATED, ADMIN_STATE_DELETED, ADMIN_STATE_ACTIVE, ADMIN_STATE_INACTIVE, ADMIN_STATE_REGISTERED, ADMIN_STATE_ARCHIVED, ADMIN_STATE_DELETION_PENDING devicereset counter
device reset time
base images
Show child attributes
Show child attributes
ED configurations
Show child attributes
Show child attributes
deprecated field
A list of VLAN sub-interfaces configured for EVE management traffic and for local network instances
Show child attributes
Show child attributes
System Interface list
Show child attributes
Show child attributes
User specified geo location
Show child attributes
Show child attributes
Site captured pictures
Device asset ID
device baseos retry counter
device baseos retry time
debug knob details for the device
Show child attributes
Show child attributes
default network instance details
Show child attributes
Show child attributes
prepare poweroff counter
prepare poweroff time
edgeview configuration for device
Show child attributes
Show child attributes
indicates whether a soft serial should be generated; it will work ONLY when device is created
user defined tag for the device, which is used while deploying policies.
local operator console url
device configuration lock setting
DEVICE_CONFIG_LOCK_UNSPECIFIED, DEVICE_CONFIG_LOCK_ENABLED, DEVICE_CONFIG_LOCK_DISABLED Allow device to enable Edgeview
Cluster Interface
Edge Node Cluster Configuration
Show child attributes
Show child attributes
Force upgrade base OS
Project specific info
Show child attributes
Show child attributes
Model specific info
Show child attributes
Show child attributes
edge sync config
Show child attributes
Show child attributes
PCR policy for TPM key sealing on this specific device (overrides project policy)
Show child attributes
Show child attributes
A list of bond interfaces
Show child attributes
Show child attributes
Was this page helpful?
curl --request GET \
--url https://{apiHost}/api/v1/devices/id/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://{apiHost}/api/v1/devices/id/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{apiHost}/api/v1/devices/id/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"name": "<string>",
"title": "<string>",
"projectId": "<string>",
"modelId": "<string>",
"id": "<string>",
"description": "<string>",
"revision": {
"curr": "<string>",
"createdAt": {},
"createdBy": "<string>",
"updatedAt": {},
"updatedBy": "<string>",
"prev": "<string>"
},
"tags": {},
"utype": "UNSPECIFIED",
"serialno": "<string>",
"location": "<string>",
"cpu": 123,
"thread": 123,
"memory": 123,
"storage": 123,
"onboarding": {
"pemCert": "aSDinaTvuI8gbWludGxpZnk=",
"pemKey": "aSDinaTvuI8gbWludGxpZnk="
},
"identity": "aSDinaTvuI8gbWludGxpZnk=",
"obkey": "<string>",
"token": "<string>",
"clientIp": "<string>",
"dlisp": {
"lispMapServers": [
{
"nameOrIp": "<string>",
"credential": "<string>"
}
],
"lispInstance": 123,
"EID": "<string>",
"EIDHashLen": 123,
"zedServers": [
{
"hostName": "<string>",
"EID": [
"<string>"
]
}
],
"eidAllocationPrefix": "aSDinaTvuI8gbWludGxpZnk=",
"eidAllocationPrefixLen": 123,
"clientAddr": "<string>",
"mode": "<string>"
},
"clusterID": "<string>",
"adminState": "ADMIN_STATE_UNSPECIFIED",
"resetCounter": 123,
"resetTime": "<string>",
"baseImage": [
{
"uuid": "<string>",
"version": "<string>",
"imageName": "<string>",
"activate": true,
"imvolId": "<string>"
}
],
"configItem": [
{
"key": "<string>",
"valueType": "<string>",
"boolValue": true,
"uint32Value": 123,
"uint64Value": "<string>",
"floatValue": 123,
"stringValue": "<string>"
}
],
"deprecated": "<string>",
"vlanAdapters": [
{
"logicalLabel": "<string>",
"interfaceName": "<string>",
"lowerLayerName": "<string>",
"vlanId": 123,
"interface": {
"netname": "<string>",
"adapterSpecificNet": {
"name": "<string>",
"title": "<string>",
"projectId": "<string>",
"kind": "NETWORK_KIND_UNSPECIFIED",
"ip": {
"deprecatedDhcp": true,
"dhcp": "NETWORK_DHCP_TYPE_UNSPECIFIED",
"subnet": "<string>",
"mask": "<string>",
"gateway": "<string>",
"domain": "<string>",
"ntp": "<string>",
"dns": [
"<string>"
],
"dhcpRange": {
"start": "<string>",
"end": "<string>"
},
"ntpServers": [
{
"server": "<string>"
}
],
"ntpServerExclusively": true
},
"id": "<string>",
"description": "<string>",
"revision": {
"curr": "<string>",
"createdAt": {},
"createdBy": "<string>",
"updatedAt": {},
"updatedBy": "<string>",
"prev": "<string>"
},
"dnsList": [
{
"hostname": "<string>",
"addrs": [
"<string>"
]
}
],
"proxy": {
"networkProxy": true,
"proxies": [
{
"proto": "NETWORK_PROXY_PROTO_HTTP",
"server": "<string>",
"port": 123
}
],
"exceptions": "<string>",
"pacfile": "<string>",
"networkProxyURL": "<string>",
"networkProxyCerts": [
"aSDinaTvuI8gbWludGxpZnk="
]
},
"enterpriseDefault": true,
"mtu": 123,
"wireless": {
"type": "NETWORK_WIRELESS_TYPE_UNSPECIFIED",
"cellularCfg": {
"APN": "<string>",
"probe": {
"disable": true,
"probeAddress": "<string>",
"customProbe": {
"probeMethod": "CONNECTIVITY_PROBE_METHOD_UNSPECIFIED",
"probeEndpoint": {
"host": "<string>",
"port": 123
}
}
},
"locationTracking": true,
"accessPoints": [
{
"simSlot": 123,
"apn": "<string>",
"authProtocol": "CELLULAR_AUTH_PROTOCOL_NONE",
"cipherData": {
"cipherContextId": "<string>",
"initialValue": "aSDinaTvuI8gbWludGxpZnk=",
"cipherData": "aSDinaTvuI8gbWludGxpZnk=",
"clearTextSha256": "aSDinaTvuI8gbWludGxpZnk="
},
"preferredPlmns": [
"<string>"
],
"forbidRoaming": true,
"preferredRats": [
"RADIO_ACCESS_TECHNOLOGY_UNSPECIFIED"
],
"ipType": "CELLULAR_IP_TYPE_UNSPECIFIED",
"attachApn": "<string>",
"attachIpType": "CELLULAR_IP_TYPE_UNSPECIFIED",
"attachAuthProtocol": "CELLULAR_AUTH_PROTOCOL_NONE",
"secrets": {
"username": "<string>",
"password": "<string>"
},
"encryptedSecrets": {},
"cryptoKey": "<string>",
"attachSecrets": {
"username": "<string>",
"password": "<string>"
},
"attachEncryptedSecrets": {}
}
],
"activatedSimSlot": 123
},
"wifiCfg": {
"wifiSSID": "<string>",
"keyScheme": "NETWORK_WIFIKEY_SCHEME_UNSPECIFIED",
"identity": "<string>",
"secret": {
"WiFiPasswd": "<string>"
},
"crypto": {
"identity": "<string>",
"password": "<string>"
},
"priority": 123,
"encryptedSecrets": {},
"cryptoKey": "<string>"
}
},
"project": {
"projectId": "<string>",
"projectName": "<string>"
}
},
"ipaddr": "<string>",
"intfname": "<string>",
"intfUsage": "ADAPTER_USAGE_UNSPECIFIED",
"tags": {},
"macaddr": "<string>",
"cost": 123,
"netid": "<string>",
"sharedLabels": [
"<string>"
],
"netDhcp": "NETWORK_DHCP_TYPE_UNSPECIFIED",
"ztype": "<string>",
"allowLocalModifications": true,
"enablePortBasedNetworkAccessControl": true,
"phylabel": "<string>",
"logicallabel": "<string>",
"phyaddrs": {},
"assigngrp": "<string>",
"parentassigngrp": "<string>",
"cbattr": {}
}
}
],
"interfaces": [
{
"netname": "<string>",
"adapterSpecificNet": {
"name": "<string>",
"title": "<string>",
"projectId": "<string>",
"kind": "NETWORK_KIND_UNSPECIFIED",
"ip": {
"deprecatedDhcp": true,
"dhcp": "NETWORK_DHCP_TYPE_UNSPECIFIED",
"subnet": "<string>",
"mask": "<string>",
"gateway": "<string>",
"domain": "<string>",
"ntp": "<string>",
"dns": [
"<string>"
],
"dhcpRange": {
"start": "<string>",
"end": "<string>"
},
"ntpServers": [
{
"server": "<string>"
}
],
"ntpServerExclusively": true
},
"id": "<string>",
"description": "<string>",
"revision": {
"curr": "<string>",
"createdAt": {},
"createdBy": "<string>",
"updatedAt": {},
"updatedBy": "<string>",
"prev": "<string>"
},
"dnsList": [
{
"hostname": "<string>",
"addrs": [
"<string>"
]
}
],
"proxy": {
"networkProxy": true,
"proxies": [
{
"proto": "NETWORK_PROXY_PROTO_HTTP",
"server": "<string>",
"port": 123
}
],
"exceptions": "<string>",
"pacfile": "<string>",
"networkProxyURL": "<string>",
"networkProxyCerts": [
"aSDinaTvuI8gbWludGxpZnk="
]
},
"enterpriseDefault": true,
"mtu": 123,
"wireless": {
"type": "NETWORK_WIRELESS_TYPE_UNSPECIFIED",
"cellularCfg": {
"APN": "<string>",
"probe": {
"disable": true,
"probeAddress": "<string>",
"customProbe": {
"probeMethod": "CONNECTIVITY_PROBE_METHOD_UNSPECIFIED",
"probeEndpoint": {
"host": "<string>",
"port": 123
}
}
},
"locationTracking": true,
"accessPoints": [
{
"simSlot": 123,
"apn": "<string>",
"authProtocol": "CELLULAR_AUTH_PROTOCOL_NONE",
"cipherData": {
"cipherContextId": "<string>",
"initialValue": "aSDinaTvuI8gbWludGxpZnk=",
"cipherData": "aSDinaTvuI8gbWludGxpZnk=",
"clearTextSha256": "aSDinaTvuI8gbWludGxpZnk="
},
"preferredPlmns": [
"<string>"
],
"forbidRoaming": true,
"preferredRats": [
"RADIO_ACCESS_TECHNOLOGY_UNSPECIFIED"
],
"ipType": "CELLULAR_IP_TYPE_UNSPECIFIED",
"attachApn": "<string>",
"attachIpType": "CELLULAR_IP_TYPE_UNSPECIFIED",
"attachAuthProtocol": "CELLULAR_AUTH_PROTOCOL_NONE",
"secrets": {
"username": "<string>",
"password": "<string>"
},
"encryptedSecrets": {},
"cryptoKey": "<string>",
"attachSecrets": {
"username": "<string>",
"password": "<string>"
},
"attachEncryptedSecrets": {}
}
],
"activatedSimSlot": 123
},
"wifiCfg": {
"wifiSSID": "<string>",
"keyScheme": "NETWORK_WIFIKEY_SCHEME_UNSPECIFIED",
"identity": "<string>",
"secret": {
"WiFiPasswd": "<string>"
},
"crypto": {
"identity": "<string>",
"password": "<string>"
},
"priority": 123,
"encryptedSecrets": {},
"cryptoKey": "<string>"
}
},
"project": {
"projectId": "<string>",
"projectName": "<string>"
}
},
"ipaddr": "<string>",
"intfname": "<string>",
"intfUsage": "ADAPTER_USAGE_UNSPECIFIED",
"tags": {},
"macaddr": "<string>",
"cost": 123,
"netid": "<string>",
"sharedLabels": [
"<string>"
],
"netDhcp": "NETWORK_DHCP_TYPE_UNSPECIFIED",
"ztype": "<string>",
"allowLocalModifications": true,
"enablePortBasedNetworkAccessControl": true,
"phylabel": "<string>",
"logicallabel": "<string>",
"phyaddrs": {},
"assigngrp": "<string>",
"parentassigngrp": "<string>",
"cbattr": {}
}
],
"devLocation": {
"underlayIP": "<string>",
"hostname": "<string>",
"city": "<string>",
"region": "<string>",
"country": "<string>",
"loc": "<string>",
"org": "<string>",
"postal": "<string>",
"latlong": "<string>",
"freeloc": "<string>"
},
"sitePictures": [
"<string>"
],
"assetId": "<string>",
"baseOsRetryCounter": 123,
"baseOsRetryTime": "<string>",
"debugKnob": {
"id": "<string>",
"debugKnob": true,
"expiry": "<string>",
"expired": true
},
"defaultNetInst": {
"name": "<string>",
"title": "<string>",
"deviceId": "<string>",
"port": "<string>",
"kind": "NETWORK_INSTANCE_KIND_UNSPECIFIED",
"id": "<string>",
"description": "<string>",
"revision": {
"curr": "<string>",
"createdAt": {},
"createdBy": "<string>",
"updatedAt": {},
"updatedBy": "<string>",
"prev": "<string>"
},
"projectId": "<string>",
"tags": {},
"clusterID": "<string>",
"portTags": {},
"dhcp": true,
"type": "NETWORK_INSTANCE_DHCP_TYPE_UNSPECIFIED",
"ip": {
"subnet": "<string>",
"mask": "<string>",
"gateway": "<string>",
"domain": "<string>",
"ntp": "<string>",
"dns": [
"<string>"
],
"dhcpRange": {
"start": "<string>",
"end": "<string>"
},
"ntpServers": [
{
"server": "<string>"
}
]
},
"dnsList": [
{
"hostname": "<string>",
"addrs": [
"<string>"
]
}
],
"oconfig": "<string>",
"lisp": {
"lispiid": 123,
"allocate": true,
"exportprivate": true,
"allocationprefix": "aSDinaTvuI8gbWludGxpZnk=",
"allocationprefixlen": 123,
"sp": [
{
"type": "SPTYPE_INVALIDSRV",
"NameOrIp": "<string>",
"Credential": "<string>"
}
]
},
"opaque": {
"type": "OPAQUE_CONFIG_TYPE_UNSPECIFIED",
"oconfig": "<string>",
"lisp": {
"lispiid": 123,
"allocate": true,
"exportprivate": true,
"allocationprefix": "aSDinaTvuI8gbWludGxpZnk=",
"allocationprefixlen": 123,
"sp": [
{
"type": "SPTYPE_INVALIDSRV",
"NameOrIp": "<string>",
"Credential": "<string>"
}
]
}
},
"deviceDefault": true,
"networkPolicyId": "<string>",
"propagateConnectedRoutes": true,
"staticRoutes": [
{
"prefix": "<string>",
"gateway": "<string>",
"outputPort": "<string>",
"probeConfig": {
"enableGatewayPing": true,
"pingMaxCost": 123,
"preferLowerCost": true,
"preferStrongerWwanSignal": true,
"customProbeConfig": {
"probeMethod": "CONNECTIVITY_PROBE_METHOD_UNSPECIFIED",
"probeEndpoint": {
"host": "<string>",
"port": 123
}
}
}
}
],
"mtu": 123,
"edgeNodeCluster": {
"id": "<string>",
"designatedNodeID": "<string>"
},
"forwardLldp": true
},
"preparePowerOffCounter": 123,
"preparePowerOffTime": "<string>",
"edgeviewconfig": {
"jwtInfo": {
"dispUrl": "<string>",
"allowSec": 123,
"expireSec": "<string>",
"numInst": 123,
"encrypt": true,
"authen": "EvAuth_TYPE_UNSPECIFIED"
},
"token": "<string>",
"devPolicy": {
"allowDev": true
},
"appPolicy": {
"allowApp": true
},
"extPolicy": {
"allowExt": true
},
"generationId": 123,
"requireControllerAuthen": true
},
"generateSoftSerial": true,
"deploymentTag": "<string>",
"localOperatorConsoleURL": "<string>",
"configLock": "DEVICE_CONFIG_LOCK_UNSPECIFIED",
"edgeviewAllow": true,
"clusterInterface": "<string>",
"edgeNodeCluster": {
"id": "<string>",
"name": "<string>",
"tags": {},
"projectId": "<string>",
"clusterPrefix": "<string>",
"seedNodeId": "<string>",
"seedNodeIp": "<string>",
"token": "<string>",
"isMaster": true,
"manifest": "aSDinaTvuI8gbWludGxpZnk=",
"tieBreakerNodeId": "<string>",
"clusterType": 123,
"lbConfigList": {
"list": [
{
"interface": "<string>",
"startIP": "<string>"
}
]
},
"masterNodeUuids": [
"<string>"
]
},
"baseOsForceUpgrade": true,
"project": {
"projectId": "<string>",
"projectName": "<string>",
"type": "TAG_TYPE_UNSPECIFIED"
},
"model": {
"modelId": "<string>",
"modelName": "<string>",
"brandId": "<string>",
"brandName": "<string>"
},
"edgeSyncConfig": {
"edgeSyncUrl": "<string>",
"datastoreId": [
"<string>"
]
},
"pcrPolicy": {
"name": "<string>",
"title": "<string>",
"type": "POLICY_TYPE_UNSPECIFIED",
"id": "<string>",
"description": "<string>",
"status": "POLICY_STATUS_UNSPECIFIED",
"revision": {
"curr": "<string>",
"createdAt": {},
"createdBy": "<string>",
"updatedAt": {},
"updatedBy": "<string>",
"prev": "<string>"
},
"attr": {},
"appPolicy": {
"apps": [
{
"name": "<string>",
"title": "<string>",
"networks": 123,
"drives": 123,
"cpus": 123,
"memory": 123,
"manifestJSON": {
"acKind": "VMManifest",
"acVersion": "1.2.0",
"name": "<string>",
"displayName": "<string>",
"description": "<string>",
"owner": {
"user": "<string>",
"group": "<string>",
"company": "<string>",
"website": "<string>",
"email": "<string>"
},
"desc": {
"appCategory": "APP_CATEGORY_CLOUD_APPLICATION",
"os": "Linux"
},
"images": [
{
"imagename": "<string>",
"imageid": "<string>",
"imageformat": "FmtUnknown",
"maxsize": "<string>",
"preserve": true,
"target": "<string>",
"drvtype": "<string>",
"params": [
{
"name": "<string>",
"value": "<string>"
}
],
"readonly": true,
"volumelabel": "<string>",
"ignorepurge": true,
"cleartext": true,
"mountpath": "<string>",
"imagestatus": "<string>",
"datastore": [
{
"id": "<string>",
"name": "<string>"
}
]
}
],
"interfaces": [
{
"name": "<string>",
"type": "<string>",
"optional": true,
"directattach": true,
"privateip": true,
"acls": [
{
"matches": [
{
"type": "<string>",
"value": "<string>"
}
],
"actions": [
{
"drop": true,
"limit": true,
"limitValue": {
"limitrate": 123,
"limitunit": "<string>",
"limitburst": 123
},
"limitrate": 123,
"limitunit": "<string>",
"limitburst": 123,
"portmap": true,
"portmapto": {
"appPort": 123
}
}
],
"name": "<string>"
}
]
}
],
"permissions": [
{}
],
"vmmode": "HV_HVM",
"enablevnc": true,
"resources": [
{
"name": "<string>",
"value": "<string>"
}
],
"configuration": {
"customConfig": {
"name": "<string>",
"add": true,
"override": true,
"allowStorageResize": true,
"fieldDelimiter": "<string>",
"template": "<string>",
"variableGroups": [
{
"name": "<string>",
"variables": [
{
"format": "VARIABLE_FORMAT_TEXT",
"name": "username",
"label": "Enter User Name",
"required": "True"
}
],
"required": true,
"condition": {
"name": "<string>",
"value": "<string>",
"operator": "CONDITION_OPERATOR_UNSPECIFIED"
}
}
]
}
},
"containerDetail": {
"containerCreateOption": "<string>"
},
"module": {
"twinDetail": "IHsKICAgICAgIm5hbWUiOiAiU2VuZEludGVydmFsIiwKICAgICAgInZhbHVlIjogIjUiCiAgICB9"
},
"appType": "APP_TYPE_UNSPECIFIED",
"deploymentType": "DEPLOYMENT_TYPE_UNSPECIFIED",
"cpuPinningEnabled": true,
"runtimeVersion": "RuntimeVersion_Unknown",
"runtimeProtocolVersion": "RuntimeProtocolVersion_Unknown",
"PersistentRuntimeSizeBytes": "<string>",
"dockerComposeYamlText": "<string>",
"dockerComposeTarImageName": "<string>",
"enableOemWinLicenseKey": true,
"disableVTPM": true
},
"originType": "ORIGIN_UNSPECIFIED",
"id": "<string>",
"description": "<string>",
"appId": "<string>",
"parentDetail": {
"idOfParentObject": "<string>",
"versionOfParentObject": 123,
"updateAvailable": true,
"referenceExists": true
},
"appVersion": "<string>",
"nameProjectPart": "<string>",
"nameAppPart": "<string>",
"tags": {},
"namingScheme": "APP_NAMING_SCHEME_UNSPECIFIED",
"interfaces": [
{
"intfname": "<string>",
"netname": "<string>",
"io": {
"type": "IO_TYPE_UNSPECIFIED",
"name": "<string>",
"tags": {}
},
"intforder": 123,
"directattach": true,
"privateip": true,
"acls": [
{
"matches": [
{
"type": "<string>",
"value": "<string>"
}
],
"actions": [
{
"drop": true,
"limit": true,
"limitrate": 123,
"limitunit": "<string>",
"limitburst": 123,
"portmap": true,
"mapparams": {
"port": 123
}
}
],
"id": 123,
"name": "<string>"
}
],
"ipaddr": "<string>",
"macaddr": "<string>",
"accessVlanId": 2047.5,
"eidregister": {
"AppCert": "aSDinaTvuI8gbWludGxpZnk=",
"AppPublicKey": "aSDinaTvuI8gbWludGxpZnk=",
"AppPrivateKey": "aSDinaTvuI8gbWludGxpZnk=",
"UUID": "<string>",
"DisplayName": "<string>",
"LispInstance": 123,
"EID": "<string>",
"EIDHashLen": 123,
"LispSignature": "<string>",
"LispMapServers": [
{
"nameOrIp": "<string>",
"credential": "<string>"
}
]
},
"netinstname": "<string>",
"netinsttag": {},
"netinstid": "<string>",
"defaultNetInstance": true,
"allowToDiscover": true
}
],
"storage": 123,
"startDelayInSeconds": 123
}
]
},
"azurePolicy": {
"appId": "<string>",
"appPassword": "<string>",
"tenantId": "<string>",
"encryptedSecrets": {},
"cryptoKey": "<string>",
"azureResourceAndServices": {
"resourceGroup": [
{
"name": "<string>",
"subscriptionId": "<string>",
"region": "<string>"
}
],
"iotHubService": [
{
"serviceDetail": {
"name": "<string>",
"createByDefault": true,
"region": "<string>",
"SKU": {
"name": "<string>",
"tier": "<string>",
"capacity": "<string>"
},
"subscriptionId": "<string>",
"resourceGroupName": "<string>"
}
}
],
"dpsService": {
"serviceDetail": {
"name": "<string>",
"createByDefault": true,
"region": "<string>",
"SKU": {
"name": "<string>",
"tier": "<string>",
"capacity": "<string>"
},
"subscriptionId": "<string>",
"resourceGroupName": "<string>"
},
"enrollment": {
"attachedIotHubsName": [
"<string>"
],
"enableIotEdgeDevice": true,
"mechanism": "ENROLLMENT_MECHANISM_UNSPECIFIED",
"tags": {},
"allocationPolicy": "ALLOCATION_POLICY_UNSPECIFIED",
"symmetricKeyEnrollment": {
"type": "ENROLLMENT_TYPE_UNSPECIFIED",
"individualSymmetricKeyEnrollment": {
"registrationId": "<string>"
},
"groupSymmetricKeyEnrollment": {
"groupName": "<string>"
}
},
"certificateEnrollment": {
"type": "ENROLLMENT_TYPE_UNSPECIFIED",
"individualCertificateEnrollment": {},
"groupCertificateEnrollment": {
"groupName": "<string>"
}
},
"tpmEnrollment": {
"type": "ENROLLMENT_TYPE_UNSPECIFIED"
}
}
}
},
"customDeploymentManaged": true,
"certificate": {
"cert": "<string>",
"pvtKey": "<string>",
"publicKey": "<string>",
"passPhrase": "<string>",
"exportable": true,
"reuseKey": true,
"encryptedSecrets": {},
"cryptoKey": "<string>",
"publicKeyAlgorithm": "<string>",
"rsaEcryption": {
"rsaBits": "<string>"
},
"ecdsaEncryption": {
"curve": "<string>"
},
"validFrom": "2023-11-07T05:31:56Z",
"validTill": "2023-11-07T05:31:56Z",
"sanValues": {
"hosts": [
"<string>"
],
"emaildIds": [
"<string>"
],
"uris": [
"<string>"
],
"ips": [
"<string>"
],
"dns": [
"<string>"
],
"upns": [
"<string>"
]
},
"subject": {
"commonName": "<string>",
"country": [
"<string>"
],
"organization": [
"<string>"
],
"organizationalUnit": [
"<string>"
],
"locality": [
"<string>"
],
"postalCode": [
"<string>"
],
"province": [
"<string>"
],
"serialNumber": "<string>"
},
"issuer": {
"commonName": "<string>",
"country": [
"<string>"
],
"organization": [
"<string>"
],
"organizationalUnit": [
"<string>"
],
"locality": [
"<string>"
],
"postalCode": [
"<string>"
],
"province": [
"<string>"
],
"serialNumber": "<string>"
},
"serialNumber": "<string>",
"basicContraintsValid": true,
"keyUsage": 123,
"extendedKeyUsage": [
"<string>"
],
"signatureAlgorithm": "<string>"
}
},
"modulePolicy": {
"priority": 123,
"apps": [
{
"name": "<string>",
"title": "<string>",
"networks": 123,
"drives": 123,
"cpus": 123,
"memory": 123,
"manifestJSON": {
"acKind": "VMManifest",
"acVersion": "1.2.0",
"name": "<string>",
"displayName": "<string>",
"description": "<string>",
"owner": {
"user": "<string>",
"group": "<string>",
"company": "<string>",
"website": "<string>",
"email": "<string>"
},
"desc": {
"appCategory": "APP_CATEGORY_CLOUD_APPLICATION",
"os": "Linux"
},
"images": [
{
"imagename": "<string>",
"imageid": "<string>",
"imageformat": "FmtUnknown",
"maxsize": "<string>",
"preserve": true,
"target": "<string>",
"drvtype": "<string>",
"params": [
{
"name": "<string>",
"value": "<string>"
}
],
"readonly": true,
"volumelabel": "<string>",
"ignorepurge": true,
"cleartext": true,
"mountpath": "<string>",
"imagestatus": "<string>",
"datastore": [
{
"id": "<string>",
"name": "<string>"
}
]
}
],
"interfaces": [
{
"name": "<string>",
"type": "<string>",
"optional": true,
"directattach": true,
"privateip": true,
"acls": [
{
"matches": [
{
"type": "<string>",
"value": "<string>"
}
],
"actions": [
{
"drop": true,
"limit": true,
"limitValue": {
"limitrate": 123,
"limitunit": "<string>",
"limitburst": 123
},
"limitrate": 123,
"limitunit": "<string>",
"limitburst": 123,
"portmap": true,
"portmapto": {
"appPort": 123
}
}
],
"name": "<string>"
}
]
}
],
"permissions": [
{}
],
"vmmode": "HV_HVM",
"enablevnc": true,
"resources": [
{
"name": "<string>",
"value": "<string>"
}
],
"configuration": {
"customConfig": {
"name": "<string>",
"add": true,
"override": true,
"allowStorageResize": true,
"fieldDelimiter": "<string>",
"template": "<string>",
"variableGroups": [
{
"name": "<string>",
"variables": [
{
"format": "VARIABLE_FORMAT_TEXT",
"name": "username",
"label": "Enter User Name",
"required": "True"
}
],
"required": true,
"condition": {
"name": "<string>",
"value": "<string>",
"operator": "CONDITION_OPERATOR_UNSPECIFIED"
}
}
]
}
},
"containerDetail": {
"containerCreateOption": "<string>"
},
"module": {
"twinDetail": "IHsKICAgICAgIm5hbWUiOiAiU2VuZEludGVydmFsIiwKICAgICAgInZhbHVlIjogIjUiCiAgICB9"
},
"appType": "APP_TYPE_UNSPECIFIED",
"deploymentType": "DEPLOYMENT_TYPE_UNSPECIFIED",
"cpuPinningEnabled": true,
"runtimeVersion": "RuntimeVersion_Unknown",
"runtimeProtocolVersion": "RuntimeProtocolVersion_Unknown",
"PersistentRuntimeSizeBytes": "<string>",
"dockerComposeYamlText": "<string>",
"dockerComposeTarImageName": "<string>",
"enableOemWinLicenseKey": true,
"disableVTPM": true
},
"originType": "ORIGIN_UNSPECIFIED",
"id": "<string>",
"description": "<string>",
"appId": "<string>",
"parentDetail": {
"idOfParentObject": "<string>",
"versionOfParentObject": 123,
"updateAvailable": true,
"referenceExists": true
},
"appVersion": "<string>",
"nameProjectPart": "<string>",
"nameAppPart": "<string>",
"tags": {},
"namingScheme": "APP_NAMING_SCHEME_UNSPECIFIED",
"interfaces": [
{
"intfname": "<string>",
"netname": "<string>",
"io": {
"type": "IO_TYPE_UNSPECIFIED",
"name": "<string>",
"tags": {}
},
"intforder": 123,
"directattach": true,
"privateip": true,
"acls": [
{
"matches": [
{
"type": "<string>",
"value": "<string>"
}
],
"actions": [
{
"drop": true,
"limit": true,
"limitrate": 123,
"limitunit": "<string>",
"limitburst": 123,
"portmap": true,
"mapparams": {
"port": 123
}
}
],
"id": 123,
"name": "<string>"
}
],
"ipaddr": "<string>",
"macaddr": "<string>",
"accessVlanId": 2047.5,
"eidregister": {
"AppCert": "aSDinaTvuI8gbWludGxpZnk=",
"AppPublicKey": "aSDinaTvuI8gbWludGxpZnk=",
"AppPrivateKey": "aSDinaTvuI8gbWludGxpZnk=",
"UUID": "<string>",
"DisplayName": "<string>",
"LispInstance": 123,
"EID": "<string>",
"EIDHashLen": 123,
"LispSignature": "<string>",
"LispMapServers": [
{
"nameOrIp": "<string>",
"credential": "<string>"
}
]
},
"netinstname": "<string>",
"netinsttag": {},
"netinstid": "<string>",
"defaultNetInstance": true,
"allowToDiscover": true
}
],
"storage": 123,
"startDelayInSeconds": 123
}
],
"id": "<string>",
"labels": {},
"targetCondition": "<string>",
"metrics": {
"queries": {},
"results": {}
},
"Etag": "<string>",
"routes": {},
"targetConditionNew": {},
"azureEdgeAgent": {
"name": "<string>",
"title": "<string>",
"networks": 123,
"drives": 123,
"cpus": 123,
"memory": 123,
"manifestJSON": {
"acKind": "VMManifest",
"acVersion": "1.2.0",
"name": "<string>",
"displayName": "<string>",
"description": "<string>",
"owner": {
"user": "<string>",
"group": "<string>",
"company": "<string>",
"website": "<string>",
"email": "<string>"
},
"desc": {
"appCategory": "APP_CATEGORY_CLOUD_APPLICATION",
"os": "Linux"
},
"images": [
{
"imagename": "<string>",
"imageid": "<string>",
"imageformat": "FmtUnknown",
"maxsize": "<string>",
"preserve": true,
"target": "<string>",
"drvtype": "<string>",
"params": [
{
"name": "<string>",
"value": "<string>"
}
],
"readonly": true,
"volumelabel": "<string>",
"ignorepurge": true,
"cleartext": true,
"mountpath": "<string>",
"imagestatus": "<string>",
"datastore": [
{
"id": "<string>",
"name": "<string>"
}
]
}
],
"interfaces": [
{
"name": "<string>",
"type": "<string>",
"optional": true,
"directattach": true,
"privateip": true,
"acls": [
{
"matches": [
{
"type": "<string>",
"value": "<string>"
}
],
"actions": [
{
"drop": true,
"limit": true,
"limitValue": {
"limitrate": 123,
"limitunit": "<string>",
"limitburst": 123
},
"limitrate": 123,
"limitunit": "<string>",
"limitburst": 123,
"portmap": true,
"portmapto": {
"appPort": 123
}
}
],
"name": "<string>"
}
]
}
],
"permissions": [
{}
],
"vmmode": "HV_HVM",
"enablevnc": true,
"resources": [
{
"name": "<string>",
"value": "<string>"
}
],
"configuration": {
"customConfig": {
"name": "<string>",
"add": true,
"override": true,
"allowStorageResize": true,
"fieldDelimiter": "<string>",
"template": "<string>",
"variableGroups": [
{
"name": "<string>",
"variables": [
{
"format": "VARIABLE_FORMAT_TEXT",
"name": "username",
"label": "Enter User Name",
"required": "True"
}
],
"required": true,
"condition": {
"name": "<string>",
"value": "<string>",
"operator": "CONDITION_OPERATOR_UNSPECIFIED"
}
}
]
}
},
"containerDetail": {
"containerCreateOption": "<string>"
},
"module": {
"twinDetail": "IHsKICAgICAgIm5hbWUiOiAiU2VuZEludGVydmFsIiwKICAgICAgInZhbHVlIjogIjUiCiAgICB9"
},
"appType": "APP_TYPE_UNSPECIFIED",
"deploymentType": "DEPLOYMENT_TYPE_UNSPECIFIED",
"cpuPinningEnabled": true,
"runtimeVersion": "RuntimeVersion_Unknown",
"runtimeProtocolVersion": "RuntimeProtocolVersion_Unknown",
"PersistentRuntimeSizeBytes": "<string>",
"dockerComposeYamlText": "<string>",
"dockerComposeTarImageName": "<string>",
"enableOemWinLicenseKey": true,
"disableVTPM": true
},
"originType": "ORIGIN_UNSPECIFIED",
"id": "<string>",
"description": "<string>",
"appId": "<string>",
"parentDetail": {
"idOfParentObject": "<string>",
"versionOfParentObject": 123,
"updateAvailable": true,
"referenceExists": true
},
"appVersion": "<string>",
"nameProjectPart": "<string>",
"nameAppPart": "<string>",
"tags": {},
"namingScheme": "APP_NAMING_SCHEME_UNSPECIFIED",
"interfaces": [
{
"intfname": "<string>",
"netname": "<string>",
"io": {
"type": "IO_TYPE_UNSPECIFIED",
"name": "<string>",
"tags": {}
},
"intforder": 123,
"directattach": true,
"privateip": true,
"acls": [
{
"matches": [
{
"type": "<string>",
"value": "<string>"
}
],
"actions": [
{
"drop": true,
"limit": true,
"limitrate": 123,
"limitunit": "<string>",
"limitburst": 123,
"portmap": true,
"mapparams": {
"port": 123
}
}
],
"id": 123,
"name": "<string>"
}
],
"ipaddr": "<string>",
"macaddr": "<string>",
"accessVlanId": 2047.5,
"eidregister": {
"AppCert": "aSDinaTvuI8gbWludGxpZnk=",
"AppPublicKey": "aSDinaTvuI8gbWludGxpZnk=",
"AppPrivateKey": "aSDinaTvuI8gbWludGxpZnk=",
"UUID": "<string>",
"DisplayName": "<string>",
"LispInstance": 123,
"EID": "<string>",
"EIDHashLen": 123,
"LispSignature": "<string>",
"LispMapServers": [
{
"nameOrIp": "<string>",
"credential": "<string>"
}
]
},
"netinstname": "<string>",
"netinsttag": {},
"netinstid": "<string>",
"defaultNetInstance": true,
"allowToDiscover": true
}
],
"storage": 123,
"startDelayInSeconds": 123
},
"azureEdgeHub": {
"name": "<string>",
"title": "<string>",
"networks": 123,
"drives": 123,
"cpus": 123,
"memory": 123,
"manifestJSON": {
"acKind": "VMManifest",
"acVersion": "1.2.0",
"name": "<string>",
"displayName": "<string>",
"description": "<string>",
"owner": {
"user": "<string>",
"group": "<string>",
"company": "<string>",
"website": "<string>",
"email": "<string>"
},
"desc": {
"appCategory": "APP_CATEGORY_CLOUD_APPLICATION",
"os": "Linux"
},
"images": [
{
"imagename": "<string>",
"imageid": "<string>",
"imageformat": "FmtUnknown",
"maxsize": "<string>",
"preserve": true,
"target": "<string>",
"drvtype": "<string>",
"params": [
{
"name": "<string>",
"value": "<string>"
}
],
"readonly": true,
"volumelabel": "<string>",
"ignorepurge": true,
"cleartext": true,
"mountpath": "<string>",
"imagestatus": "<string>",
"datastore": [
{
"id": "<string>",
"name": "<string>"
}
]
}
],
"interfaces": [
{
"name": "<string>",
"type": "<string>",
"optional": true,
"directattach": true,
"privateip": true,
"acls": [
{
"matches": [
{
"type": "<string>",
"value": "<string>"
}
],
"actions": [
{
"drop": true,
"limit": true,
"limitValue": {
"limitrate": 123,
"limitunit": "<string>",
"limitburst": 123
},
"limitrate": 123,
"limitunit": "<string>",
"limitburst": 123,
"portmap": true,
"portmapto": {
"appPort": 123
}
}
],
"name": "<string>"
}
]
}
],
"permissions": [
{}
],
"vmmode": "HV_HVM",
"enablevnc": true,
"resources": [
{
"name": "<string>",
"value": "<string>"
}
],
"configuration": {
"customConfig": {
"name": "<string>",
"add": true,
"override": true,
"allowStorageResize": true,
"fieldDelimiter": "<string>",
"template": "<string>",
"variableGroups": [
{
"name": "<string>",
"variables": [
{
"format": "VARIABLE_FORMAT_TEXT",
"name": "username",
"label": "Enter User Name",
"required": "True"
}
],
"required": true,
"condition": {
"name": "<string>",
"value": "<string>",
"operator": "CONDITION_OPERATOR_UNSPECIFIED"
}
}
]
}
},
"containerDetail": {
"containerCreateOption": "<string>"
},
"module": {
"twinDetail": "IHsKICAgICAgIm5hbWUiOiAiU2VuZEludGVydmFsIiwKICAgICAgInZhbHVlIjogIjUiCiAgICB9"
},
"appType": "APP_TYPE_UNSPECIFIED",
"deploymentType": "DEPLOYMENT_TYPE_UNSPECIFIED",
"cpuPinningEnabled": true,
"runtimeVersion": "RuntimeVersion_Unknown",
"runtimeProtocolVersion": "RuntimeProtocolVersion_Unknown",
"PersistentRuntimeSizeBytes": "<string>",
"dockerComposeYamlText": "<string>",
"dockerComposeTarImageName": "<string>",
"enableOemWinLicenseKey": true,
"disableVTPM": true
},
"originType": "ORIGIN_UNSPECIFIED",
"id": "<string>",
"description": "<string>",
"appId": "<string>",
"parentDetail": {
"idOfParentObject": "<string>",
"versionOfParentObject": 123,
"updateAvailable": true,
"referenceExists": true
},
"appVersion": "<string>",
"nameProjectPart": "<string>",
"nameAppPart": "<string>",
"tags": {},
"namingScheme": "APP_NAMING_SCHEME_UNSPECIFIED",
"interfaces": [
{
"intfname": "<string>",
"netname": "<string>",
"io": {
"type": "IO_TYPE_UNSPECIFIED",
"name": "<string>",
"tags": {}
},
"intforder": 123,
"directattach": true,
"privateip": true,
"acls": [
{
"matches": [
{
"type": "<string>",
"value": "<string>"
}
],
"actions": [
{
"drop": true,
"limit": true,
"limitrate": 123,
"limitunit": "<string>",
"limitburst": 123,
"portmap": true,
"mapparams": {
"port": 123
}
}
],
"id": 123,
"name": "<string>"
}
],
"ipaddr": "<string>",
"macaddr": "<string>",
"accessVlanId": 2047.5,
"eidregister": {
"AppCert": "aSDinaTvuI8gbWludGxpZnk=",
"AppPublicKey": "aSDinaTvuI8gbWludGxpZnk=",
"AppPrivateKey": "aSDinaTvuI8gbWludGxpZnk=",
"UUID": "<string>",
"DisplayName": "<string>",
"LispInstance": 123,
"EID": "<string>",
"EIDHashLen": 123,
"LispSignature": "<string>",
"LispMapServers": [
{
"nameOrIp": "<string>",
"credential": "<string>"
}
]
},
"netinstname": "<string>",
"netinsttag": {},
"netinstid": "<string>",
"defaultNetInstance": true,
"allowToDiscover": true
}
],
"storage": 123,
"startDelayInSeconds": 123
}
},
"attestationPolicy": {
"type": "ATTEST_POLICY_TYPE_UNSPECIFIED",
"id": "<string>"
},
"networkPolicy": {
"netInstanceConfig": [
{
"name": "<string>",
"title": "<string>",
"deviceId": "<string>",
"port": "<string>",
"kind": "NETWORK_INSTANCE_KIND_UNSPECIFIED",
"id": "<string>",
"description": "<string>",
"revision": {
"curr": "<string>",
"createdAt": {},
"createdBy": "<string>",
"updatedAt": {},
"updatedBy": "<string>",
"prev": "<string>"
},
"projectId": "<string>",
"tags": {},
"clusterID": "<string>",
"portTags": {},
"dhcp": true,
"type": "NETWORK_INSTANCE_DHCP_TYPE_UNSPECIFIED",
"ip": {
"subnet": "<string>",
"mask": "<string>",
"gateway": "<string>",
"domain": "<string>",
"ntp": "<string>",
"dns": [
"<string>"
],
"dhcpRange": {
"start": "<string>",
"end": "<string>"
},
"ntpServers": [
{
"server": "<string>"
}
]
},
"dnsList": [
{
"hostname": "<string>",
"addrs": [
"<string>"
]
}
],
"oconfig": "<string>",
"lisp": {
"lispiid": 123,
"allocate": true,
"exportprivate": true,
"allocationprefix": "aSDinaTvuI8gbWludGxpZnk=",
"allocationprefixlen": 123,
"sp": [
{
"type": "SPTYPE_INVALIDSRV",
"NameOrIp": "<string>",
"Credential": "<string>"
}
]
},
"opaque": {
"type": "OPAQUE_CONFIG_TYPE_UNSPECIFIED",
"oconfig": "<string>",
"lisp": {
"lispiid": 123,
"allocate": true,
"exportprivate": true,
"allocationprefix": "aSDinaTvuI8gbWludGxpZnk=",
"allocationprefixlen": 123,
"sp": [
{
"type": "SPTYPE_INVALIDSRV",
"NameOrIp": "<string>",
"Credential": "<string>"
}
]
}
},
"deviceDefault": true,
"networkPolicyId": "<string>",
"propagateConnectedRoutes": true,
"staticRoutes": [
{
"prefix": "<string>",
"gateway": "<string>",
"outputPort": "<string>",
"probeConfig": {
"enableGatewayPing": true,
"pingMaxCost": 123,
"preferLowerCost": true,
"preferStrongerWwanSignal": true,
"customProbeConfig": {
"probeMethod": "CONNECTIVITY_PROBE_METHOD_UNSPECIFIED",
"probeEndpoint": {
"host": "<string>",
"port": 123
}
}
}
}
],
"mtu": 123,
"edgeNodeCluster": {
"id": "<string>",
"designatedNodeID": "<string>"
},
"forwardLldp": true
}
]
},
"clusterPolicy": {
"type": "CLUSTER_TYPE_UNSPECIFIED",
"appPolicyID": "<string>",
"networkPolicyID": "<string>",
"clusterConfig": {
"minNodesRequired": 123
}
},
"edgeviewPolicy": {
"edgeviewAllow": true,
"edgeviewcfg": {
"jwtInfo": {
"dispUrl": "<string>",
"allowSec": 123,
"expireSec": "<string>",
"numInst": 123,
"encrypt": true,
"authen": "EvAuth_TYPE_UNSPECIFIED"
},
"token": "<string>",
"devPolicy": {
"allowDev": true
},
"appPolicy": {
"allowApp": true
},
"extPolicy": {
"allowExt": true
},
"generationId": 123,
"requireControllerAuthen": true
},
"accessAllowChange": true,
"maxExpireSec": 123,
"maxInst": 123,
"requireControllerAuthen": true
},
"localOperatorConsolePolicy": {
"locURL": "<string>",
"id": "<string>",
"datastoreId": [
"<string>"
]
},
"configurationLockPolicy": {
"configLock": "CONFIGURATION_LOCK_UNSPECIFIED",
"id": "<string>"
},
"pcrPolicy": {
"pcrIndices": [
123
],
"id": "<string>",
"policyVersion": 123
},
"portBasedNetworkAccessControlPolicy": {
"id": "<string>",
"enablePortBasedNetworkAccessControl": true,
"eapMethod": "EAP_METHOD_UNSPECIFIED",
"eapIdentity": "<string>",
"certificateEnrollmentId": "<string>"
},
"statusMessage": "<string>"
},
"bondAdapter": [
{
"logicalLabel": "<string>",
"interfaceName": "<string>",
"lowerLayerNames": [
"<string>"
],
"bondMode": "BOND_MODE_UNSPECIFIED",
"mii": {
"interval": 123,
"updelay": 123,
"downdelay": 123
},
"arp": {
"interval": 123,
"ipTargets": [
"<string>"
]
},
"lacpRate": "LACP_RATE_UNSPECIFIED",
"interface": {
"netname": "<string>",
"adapterSpecificNet": {
"name": "<string>",
"title": "<string>",
"projectId": "<string>",
"kind": "NETWORK_KIND_UNSPECIFIED",
"ip": {
"deprecatedDhcp": true,
"dhcp": "NETWORK_DHCP_TYPE_UNSPECIFIED",
"subnet": "<string>",
"mask": "<string>",
"gateway": "<string>",
"domain": "<string>",
"ntp": "<string>",
"dns": [
"<string>"
],
"dhcpRange": {
"start": "<string>",
"end": "<string>"
},
"ntpServers": [
{
"server": "<string>"
}
],
"ntpServerExclusively": true
},
"id": "<string>",
"description": "<string>",
"revision": {
"curr": "<string>",
"createdAt": {},
"createdBy": "<string>",
"updatedAt": {},
"updatedBy": "<string>",
"prev": "<string>"
},
"dnsList": [
{
"hostname": "<string>",
"addrs": [
"<string>"
]
}
],
"proxy": {
"networkProxy": true,
"proxies": [
{
"proto": "NETWORK_PROXY_PROTO_HTTP",
"server": "<string>",
"port": 123
}
],
"exceptions": "<string>",
"pacfile": "<string>",
"networkProxyURL": "<string>",
"networkProxyCerts": [
"aSDinaTvuI8gbWludGxpZnk="
]
},
"enterpriseDefault": true,
"mtu": 123,
"wireless": {
"type": "NETWORK_WIRELESS_TYPE_UNSPECIFIED",
"cellularCfg": {
"APN": "<string>",
"probe": {
"disable": true,
"probeAddress": "<string>",
"customProbe": {
"probeMethod": "CONNECTIVITY_PROBE_METHOD_UNSPECIFIED",
"probeEndpoint": {
"host": "<string>",
"port": 123
}
}
},
"locationTracking": true,
"accessPoints": [
{
"simSlot": 123,
"apn": "<string>",
"authProtocol": "CELLULAR_AUTH_PROTOCOL_NONE",
"cipherData": {
"cipherContextId": "<string>",
"initialValue": "aSDinaTvuI8gbWludGxpZnk=",
"cipherData": "aSDinaTvuI8gbWludGxpZnk=",
"clearTextSha256": "aSDinaTvuI8gbWludGxpZnk="
},
"preferredPlmns": [
"<string>"
],
"forbidRoaming": true,
"preferredRats": [
"RADIO_ACCESS_TECHNOLOGY_UNSPECIFIED"
],
"ipType": "CELLULAR_IP_TYPE_UNSPECIFIED",
"attachApn": "<string>",
"attachIpType": "CELLULAR_IP_TYPE_UNSPECIFIED",
"attachAuthProtocol": "CELLULAR_AUTH_PROTOCOL_NONE",
"secrets": {
"username": "<string>",
"password": "<string>"
},
"encryptedSecrets": {},
"cryptoKey": "<string>",
"attachSecrets": {
"username": "<string>",
"password": "<string>"
},
"attachEncryptedSecrets": {}
}
],
"activatedSimSlot": 123
},
"wifiCfg": {
"wifiSSID": "<string>",
"keyScheme": "NETWORK_WIFIKEY_SCHEME_UNSPECIFIED",
"identity": "<string>",
"secret": {
"WiFiPasswd": "<string>"
},
"crypto": {
"identity": "<string>",
"password": "<string>"
},
"priority": 123,
"encryptedSecrets": {},
"cryptoKey": "<string>"
}
},
"project": {
"projectId": "<string>",
"projectName": "<string>"
}
},
"ipaddr": "<string>",
"intfname": "<string>",
"intfUsage": "ADAPTER_USAGE_UNSPECIFIED",
"tags": {},
"macaddr": "<string>",
"cost": 123,
"netid": "<string>",
"sharedLabels": [
"<string>"
],
"netDhcp": "NETWORK_DHCP_TYPE_UNSPECIFIED",
"ztype": "<string>",
"allowLocalModifications": true,
"enablePortBasedNetworkAccessControl": true,
"phylabel": "<string>",
"logicallabel": "<string>",
"phyaddrs": {},
"assigngrp": "<string>",
"parentassigngrp": "<string>",
"cbattr": {}
}
}
]
}{
"operationType": "OPS_TYPE_UNSPECIFIED",
"operationStatus": "OPS_STATUS_UNSPECIFIED",
"objectKind": "<string>",
"objectId": "<string>",
"objectName": "<string>",
"objectRevision": "<string>",
"objectType": "OBJECT_TYPE_UNSPECIFIED",
"operationTime": "<string>",
"startTime": "<string>",
"endTime": "<string>",
"user": "<string>",
"httpStatusCode": 123,
"httpStatusMsg": "<string>",
"jobId": "<string>",
"error": [
{
"ec": "zMsgErrorNone",
"location": "<string>",
"details": "<string>"
}
]
}{
"operationType": "OPS_TYPE_UNSPECIFIED",
"operationStatus": "OPS_STATUS_UNSPECIFIED",
"objectKind": "<string>",
"objectId": "<string>",
"objectName": "<string>",
"objectRevision": "<string>",
"objectType": "OBJECT_TYPE_UNSPECIFIED",
"operationTime": "<string>",
"startTime": "<string>",
"endTime": "<string>",
"user": "<string>",
"httpStatusCode": 123,
"httpStatusMsg": "<string>",
"jobId": "<string>",
"error": [
{
"ec": "zMsgErrorNone",
"location": "<string>",
"details": "<string>"
}
]
}{
"operationType": "OPS_TYPE_UNSPECIFIED",
"operationStatus": "OPS_STATUS_UNSPECIFIED",
"objectKind": "<string>",
"objectId": "<string>",
"objectName": "<string>",
"objectRevision": "<string>",
"objectType": "OBJECT_TYPE_UNSPECIFIED",
"operationTime": "<string>",
"startTime": "<string>",
"endTime": "<string>",
"user": "<string>",
"httpStatusCode": 123,
"httpStatusMsg": "<string>",
"jobId": "<string>",
"error": [
{
"ec": "zMsgErrorNone",
"location": "<string>",
"details": "<string>"
}
]
}{
"operationType": "OPS_TYPE_UNSPECIFIED",
"operationStatus": "OPS_STATUS_UNSPECIFIED",
"objectKind": "<string>",
"objectId": "<string>",
"objectName": "<string>",
"objectRevision": "<string>",
"objectType": "OBJECT_TYPE_UNSPECIFIED",
"operationTime": "<string>",
"startTime": "<string>",
"endTime": "<string>",
"user": "<string>",
"httpStatusCode": 123,
"httpStatusMsg": "<string>",
"jobId": "<string>",
"error": [
{
"ec": "zMsgErrorNone",
"location": "<string>",
"details": "<string>"
}
]
}{
"operationType": "OPS_TYPE_UNSPECIFIED",
"operationStatus": "OPS_STATUS_UNSPECIFIED",
"objectKind": "<string>",
"objectId": "<string>",
"objectName": "<string>",
"objectRevision": "<string>",
"objectType": "OBJECT_TYPE_UNSPECIFIED",
"operationTime": "<string>",
"startTime": "<string>",
"endTime": "<string>",
"user": "<string>",
"httpStatusCode": 123,
"httpStatusMsg": "<string>",
"jobId": "<string>",
"error": [
{
"ec": "zMsgErrorNone",
"location": "<string>",
"details": "<string>"
}
]
}{
"code": 123,
"message": "<string>",
"details": [
{
"typeUrl": "<string>",
"value": "aSDinaTvuI8gbWludGxpZnk="
}
]
}